*Réunion Chalec
*23 mars 2022, 20h30-23h00
*
*SALON CHALEC : xmpp:cominfra@salons.a-lec.org?join
*En audio dans le salon Mumble Chalec : https://audio.a-lec.org/


*Prologue
Pad précédente réunion : https://pad.chalec.org/p/R%C3%A9union_Cominfra_F%C3%A9vrier_2022

Présents : 
	* Cpm
	* neox
	* croax
	* 

Rappel : faire le revue de tous les sujets de la commission Infrastructure de Libre-en-communs.

*Statistiques tickets
	* https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards
	* ouverts : 19
	* résolus : 1

*Services techniques
*Infra générale
	* https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale
	* réception de matériel
	* projet Gisors (serveur chez echolib) planifié avec du Watercooling
	* projet Fontainebleau à l'étude (duplication de sauvegardes)
	* routage :
		* un Linksys, n'a pas assez de ram, des services sont régulièrement arrêtés de façon inattendue
		* va être changé pour un Turdis
		* recherche en cours d'un stockage externe usb3
	* virtualisation :
		* pas de split brain (renforcement de la configuration drbd)
	* état des machines physiques :
		* routeur
		* mother
			* /var/backups à vérifier (espace disque)
		* aunt
	* #3 Hébergement web pour le projet gem-graph
		*  en attente
	* #25 Sauvegardes – Dump automatique des bases de données sur les vm
		* sera déplacé dans le futur projet GitlabCE Sauvegardes
		* TODO neox
	* #27 Débogage de Libreboot : un bug s'est introduit dans Coreboot entre la 4.6 et la 4.11
		* Neox : en cours++ (mémoire de master de neox)
	* #28 HSTS Preload pour a-lec.org et chalec.org
		* Neox :~
		* TODO ouvrir un ticket dédié Chalec
	* #31 Créer un projet GitlabCE « Sauvegardes »
		*  TODO neox
	* #32 Création de la machine virtuelle www.chalec.org
		*  TODO neox
	* #33 URL autoconfiguration mail
		*  Proxy vers la machine mail (well-known)
	* #34 Création de la machine virtuelle status.chalec.org
		* TODO neox
	* séparer les services spécifiques aux adhérents ?
		* services concernés :
			* DNS aux adhérents
		* comment nommer ce sous-groupe ?
		* n'a pas à rester dans Cominfra
			* TODO neox : services aux adhérents
	* authentifcation forte :
		* pousser l'adoption de l'A2F aux membres de l'équipe ?
			* +1 (neox)
		* solution de clé :
			* Solokey : https://solokeys.com/
			* Nitrokey : https://www.nitrokey.com/fr
		* bonne pratique => 2 clés ?
		* À étudier
	* questions :
		* il a déjà été évoqué que l'infra sera multi-sites avec des vm un peu partout, peut-on avoir un rappel de cette archi,  son objectif, le besoin, avantages, perspectives ? Combien de sites ? Combien de vm ? Des services privés ?
			* étape 0 : créer un vpn lavarenne + gisor + fontaibleau
			* étape 1 : redonder les backups et dns
			* étape 2 : généraliser les lignes fibres FDN sur gisor et fontainebleau
			* étape 3 : pouvoir faire des migrations transparentes de vm entre nœuds
				* mutualisation, résilience, répartition, mobilité, évasion
			* étape 4 : augmenter le nombre de nœuds (10…)

*Coffre
	* Vault Warden : installé depuis les sources
	* TODO Neox créer projet GitlabCE pour le suivi
	* documentation

*Coreboot
	* Neox en action :
	* l'infra tourne sous coreboot 4.6. 
	* correction en cours

*DNS
	* https://git.a-lec.org/a-lec/commissions/infrastructure/dns
	* autoban dns
		* empêcher le dns de se bannir lui-même
		* possibilité de déployer des wait list failed2ban
		* TODO Neox
	* #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
		* planifié
	*  #2 Ajouter un enregistrement CAA
		* Neox : planfié
	* #6 Éviter l'auto-bannissement
		* Neox : nouveau
		* normalement c'est bon mais à re-vérifier
	* décomissionnement du certifact wildcard
		* FAIT Neox
		* option du preserved_key à explorer pour n'avoir à transférer que le certifat et non la clé, ce qui allège la problématique de transfert
			* un jour peut-être
		* sera pratique pour xmpp par exemple
			* maintenant c'est plus un wildcard mais juste un multi domaine (envoyé par www pendant le hook de renew)

*Forge / git.a-lec.org
	* Neox en action :
		*  RAS
	* tickets : https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues
		* RAS
		* Une étiquette pour un état "bloqué" TODO croax pour creer ticket

*Forge / Sid bot XMPP
	* Neox en action
	* https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot
	* sera déployé un jour
	* tickets : RAS

*Mail
	* craox en action
	* bal : une vingtaine
	* webmail : maj récurrente
	* option SASL installée
	* étudier rspamd
	* sondes à prévoir
	* doc à compléter
	* tickets : https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues
	* #14 Ajouter la possibilité de récupérer les informations de serveurs automatiquement
	* infra générale #33 autoconfig, déplacer ou lier le ticket ??? TODO croax
	* documentation ?

*Sauvegardes
	* virt-backup déployé et fonctionnel
	* Nous aurons :
		* backup quotidien (avec historique de 3 jours)
		* backup hebdomadaire (avec historique de deux semaines)
		* backup mensuel (avec historique de deux mois)
	* comment accéder à la doc Git si le SI est hors service ?
		* faire un miroir sur une autre forge
		* TODO Neox
		* TODO faire script pour détecter les projets GitlabCE non mirrorés
	* créer un projet GitlabCE pour ce sujet?
		* oui, même si pas plein de tickets ou de fichiers, utile de savoir où regarder pour faire le point sur ce sujet
		* TODO neox créer un projet GitlabCE
		* TODO déplacer le ticket #25
		* https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/31
	* tickets :
		* https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25
			* planifié
	* sondes
	* questions :
		* documentation ? -> dans le projet sauvegarde avec lien dans la doc infra ?

*Supervision
	* https://git.a-lec.org/a-lec/commissions/infrastructure/isengard
	* Neox en action
	* #6 Créer une procédure pour ajouter une sonde locale à une vm
		* TODO neox quand ça marchera
	* #7 Créer une procédure sur le downtime
		* TODO neox
		* TODO cpm config pour obtenir downtime rapide pour les hosts
	* #8 Étudier le déploiement de sondes à l'extérieur du SI
		* quand on aura un serveur externe
	* #9 Configurer correctement l'ajout de sondes locales sur les machines virtuelles
		* oui mais marche pas, todo

Questions :
	* renommer le projet GitlabCE « Service Isengard » en « Supervision » ?
		* Isengard - Supervision ? Supervision - Isengard ? Isengards ?
	* documentation ?


*Services généraux
*Audio.a-lec.org
	* https://git.a-lec.org/a-lec/commissions/infrastructure/audio
	* Cpm en action
	* #7 Conservation des logs à 1 an
		* Cpm FAIT
	* création d'un salon Zoë Kooyman

*Gestion (membre et comptabilité)
	* https://gestion.a-lec.org/
	* tickets : https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues
		* RAS
	* documentation d'installation ?
		* todo neox

*toot.a-lec.org
	* echolib en action
	* instance Mastodon
	* gros pics de consommation pas expliqués
	* volonté de passer à Pleroma ++
		* TODO migrer vers Pleroma
	* 3 comptes :
		* a-lec
		* ca : va disparaître
		* neox : disparition en cours
		* croax
	* des messages envoyés
	* plusieurs fois cités
	* Comcom c'est pas pour tout de suite
	* doc d'install spécifique a-lec ?
		* cela vaut-il le coup si migration à Pleroma ? NOOOOOOON.
	* évaluer Friendica
		* todo neox vm de test
	* todo neox enlever tootest, elle sert à rien

*www.a-lec.org
	* echolib en action
	* implémentation de la charte graphique actuelle dans GSL
		* le CSS est presque fini -> non. todo neox finir la charte graphique
	* définition de la chaîne de production du site :
		* dépôt d'articles GSL
		* transfert sur la vm (CI ou wget)
		* génération automatique d'une version brouillon visible via un htaccess
		* le directeur de publication vérifie et lance une génération finale
	* à terme les dépôts Articles www.a-lec.org et www.a-lec.org vont fusionner
	* plan du site : basé sur le site actuel

*www.a-lec.org / GSL Statique Littérateur (conf pour www)
	* echolib en action
	* todo echolib un readme pour le repo GSL de l'infra pour expliquer ce que c'est
	* todo echolib gérer les allers-retour de wip à www et inversement
	* source : https://git.a-lec.org/echolib/gsl


*xmpp.a-lec.org
	* Neox en action
	* https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp
	* ça tourne tranquillement
	* déclaration auprès d'observers
		* noex : en cours et pas fini
	* nombre de salons : 8
	* nombre d'utilisateurs : 16
	* tickets : RAS


*Services aux adhérents  
*DNS pour les adhérents
	* responsable : 
	* https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs
	* tickets : https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp/-/issues
		* todo neox continuer les trucs

*Conclusion
*Prochaine réunion
Date prochaine réunion :
	* mercredi 27 avril :
		* pour : neox, croax, Cpm
	* autre ?

Horaire de début :
	* 20h30
		* pour : Cpmneox, croax
	* autre ?

Horaire de fin :
	* 23h00
		* pour : Cpm,neox , croax
	* autre ?

Fin de la réunion à 23h11




