# Compte-rendu de réunion mensuelle - avril 2022

*SALON COMINFRA : xmpp:cominfra@salons.a-lec.org?join

*En audio dans le salon Mumble Cominfra : [https://audio.a-lec.org/](https://audio.a-lec.org/)





# Prologue

Pad précédente réunion : [https://pad.chalec.org/p/Réunion\_Cominfra\_Mars\_2022](https://pad.chalec.org/p/Réunion\_Cominfra\_Mars\_2022)



Présents : 

   * neox
   * croax
   * Cpm
   * echolib


Excusé :

   * echolib
   * wilder


Rappel : faire le revue de tous les sujets de la commission Infrastructure de Libre-en-communs.



## Statistiques

Vm :

   * 24


Tickets :

   * [https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards)
   * ouverts :  21 ~~19~~
   * en cours: 3
   *  bloqué : 6
   * rejeté: 0
   * résolus :  28  ~~01~~


Encouragement à faire des tickets pour toutes les actions (même un ticket rapide), cela reflète l'activité (et historise)



# Services techniques

## Infra générale

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale)
   * réception de matériel
       * Nouvelles cartes réseau à tester
       * SSD pour le routeur Turris
       * On attend le nouveau SSD pour mother
   * projet Gisors (serveur chez echolib) planifié avec du Watercooling
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39)
   * projet Fontainebleau (serveur chez Anne et Daniel) à l'étude (duplication de sauvegardes)
       * en attente
   * routage :
       * un Linksys, n'a pas assez de ram, des services sont régulièrement arrêtés de façon inattendue
       * va être changé pour un Turris
       * ~~recherche en cours d'un stockage externe usb3~~
           * Finalement, au vu de l'architecture du Turris, recherche et installation d'un SSD PCIe prévues
           * on l'a reçu hier
   * virtualisation :
       * un petit split brain ce mois-ci, résolu automatiquement
   * état des machines physiques :
       * routeur
       * mother
           * /var/backups est ok niveau espace disque
           * Un disque a subi une panne, le RAID1 a bien fonctionné et le remplacement s'est fait sans trop d'accroc
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/41](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/41)
               * Il y a eu des difficultés dans l'identification de la panne, mais la résolution est heureuse
           * Un deuxième aussi le 27 avril
               * acheter du rab ? 
               * intervertir des disques entre mother et aunt pour garder un décallage ?
       * aunt
           * RAS
   * #3 Hébergement web pour le projet gem-graph[https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards)
       *  en attente
       * RAS
   * #25 Sauvegardes – Dump automatique des bases de données sur les vm
       * déplacé dans le projet Sauvegardes
       * Todo neox
   * #27 Débogage de Libreboot : un bug s'est introduit dans Coreboot entre la 4.6 et la 4.11
       * Neox : en cours++ (mémoire de master de neox)
   * #28 HSTS Preload pour a-lec.org et chalec.org
       * Neox :~
       * ouvrir un ticket dédié Chalec Fait neox
   * #31 Créer un projet GitlabCE « Sauvegardes »
       *  Fait neox
   * #32 Création de la machine virtuelle www.chalec.org
       *  Fait neox
   * #33 URL autoconfiguration mail
       *  Proxy vers la machine mail (well-known)
       * todo neox
   * #34 Création de la machine virtuelle status.chalec.org
       * Fait neox ~ en fait non
   * séparer les services spécifiques aux adhérents ?
       * services concernés :
           * DNS aux adhérents
       * comment nommer ce ~~sous-~~groupe ?
       * n'a pas à rester dans Cominfra
       * FAIT neox : services aux adhérents
   * authentifcation forte :
       * pousser l'adoption de l'A2F aux membres de l'équipe ?
           * +1 (neox)
       * solution de clé :
           * Solokey : [https://solokeys.com/](https://solokeys.com/)
               * neox en achète une perso
               * cpm en utilise déjà une sur l'infra a-lec (coffre, git…)
           * Nitrokey : [https://www.nitrokey.com/fr](https://www.nitrokey.com/fr)
               * pas de usb-c disponible
               * du flou dans la spéc open-hardware
       * bonne pratique => 2 clés ?
       * À étudier
   * De l'accès root : qui ?
       * Ajout de Cpm et croax à admin666


## Coffre

   * Vault Warden : installé depuis les sources
   * créer projet GitlabCE pour le suivi TODO Neox Fait 
   * du ménage de fait dans les collections et groupes
       * création du groupe comcom
   * documentation
       * Todo neox


## Coreboot

   * Neox en action :
   * l'infra tourne sous coreboot 4.6. 


## DNS

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/dns](https://git.a-lec.org/a-lec/commissions/infrastructure/dns)
   * #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
       * planifié+bloqué
       * todo neox
   *  #2 Ajouter un enregistrement CAA
       * Neox : planfié
       * todo neox+bloqué
   * #6 Éviter l'auto-bannissement
       * Neox : fait
   * décomissionnement du certifact wildcard
       * FAIT Neox
       * option du preserved\_key à explorer pour n'avoir à transférer que le certifat et non la clé, ce qui allège la problématique de transfert
           * un jour peut-être
           * todo neox


## Forge / git.a-lec.org

   * neox :
       * maj 1
       * maj 2
       * mise en place de la ci pour les www a-lec et chalec
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues)
       * RAS
       * Une étiquette pour un état "bloqué" TODO croax pour creer ticket
           * Fait neox


## Forge / Sid bot XMPP

   * Neox en action
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot](https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot)
   * sera déployé un jour
   * tickets : RAS


## Mail

   * équipe : croax + wilder
   * Evénements liés : 
       * Wilder a rejoint l'équipe
           * Objectif : le former au service mail 
           * Méthode : attribution de travaux permettant de découvrir les mécanismes (autoconfig...)
           * croax en support sur demande de Wilder
       * Inscriptions 
           * 9 inscriptions
           * 1 désinscription
       * Nouveau CA : ca@
       * comcom officiel : comcom@
       * Candidature chaton et addresse correspondante contact@
   * Statut
       * Liste Tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues?](https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues?)
       * Nombre de boites :  24
       * Espace disque des boites : 2.9G
           * 1 utilisateur consomme 2.1G :D
       * MAJ
           * Webmail : Upstream, RAS
           * Distrib MAJ régulièrement
       * Incidents
           * Majeurs : 0
           * #33 Bug identifié sur changement de MDP sur Roundcube
   * Fait 
       * Création / suppression de comptes suite à inscriptions / desinscriptions des membres
       * #27 Déplacer automatiquement les spams identifiés dans le dossier spam
           * Aucunement lié à une amélioration de détection des spams
           * La modification du Subject en "**** SPAM****" n'est plus opérée
           * Définition d'une règle sieve
               * Activée  pour tous les utilisateurs
               * Déplacement dans dossierJunk
               * Sur présence de "X-Spam-Flag: YES"
               * Opéré par conf Dovecot 
       * #29 Nouvelle liste ca@
       * #30 Possibilité d'offrir un SMTP pour les comptes mail redirigés. 
           * Cpm : merci \o/
       * #31 Automatiser les inscriptions
           * Configuration postfix découpée en plusieurs fichiers /etc/postfix/virtual(\_{members,redirect})?
           * Création de compte / redirection
           * Envoi du courriel de mise en place à l'utilisateur
               * Secret du salon XMPP provisionné par variable d'environnement et non dans le script (lol)
       * #33 Reproduction du bug de changement de MDP sur Roundcube
           * Quand l'utilisateur entre un username comportant le @a-lec.org
           * Permet tout de même de se logguer
           * Mais erreur mystérieuse sur demande de changement de MDP !
       * #34 contact@ pour la candidature CHATONS (entre autre)
       * #35 comcom@
   * En cours 
       * #14 Evolution Autoconfig mail : voir wilder + blocage infra [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/33](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/33)
           * todo neox !!!!!!!!!!!!
       * #33 Correction du bug Roundcube. Wilder.
   * Todo
       * étudier rspamd : néant
       * doc à compléter : existante mais pas d'amélioration


## Sauvegardes

   * virt-backup déployé et fonctionnel
       * restauration vm git réussi
   * Nous avons :
       * backup quotidien (avec historique de 3 jours)
       * backup hebdomadaire (avec historique de deux semaines)
       * backup mensuel (avec historique de deux mois)
   * comment accéder à la doc Git si le SI est hors service ?
       * faire un miroir sur une autre forge
       * TODO Neox
       * TODO faire script pour détecter les projets GitlabCE non mirrorés
   * créer un projet GitlabCE pour ce sujet?
       * oui, même si pas plein de tickets ou de fichiers, utile de savoir où regarder pour faire le point sur ce sujet
       * Fait neox créer un projet GitlabCE
       * Fait déplacer le ticket #25
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/31](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/31)
   * tickets :
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25)
           * planifié
   * sondes
   * questions :
       * documentation ? -> dans le projet sauvegarde avec lien dans la doc infra
           * todo neox
       * mother et aunt sont-elles backupées ?
           * oui : rsync incrémental (option --link-dest)


## Supervision

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/isengard](https://git.a-lec.org/a-lec/commissions/infrastructure/isengard)
   * Neox en action
   * #6 Créer une procédure pour ajouter une sonde locale à une vm
       * TODO neox quand ça marchera
   * #8 Étudier le déploiement de sondes à l'extérieur du SI
       * quand on aura un serveur externe
   * #9 Configurer correctement l'ajout de sondes locales sur les machines virtuelles
       * oui mais marche pas, todo  neox
       * des essais avec www.chalec.org : marche toujours pas


Questions :

   * renommer le projet GitlabCE « Service Isengard » en « Supervision » ?
       * ~~Isengard - Supervision~~ ? Supervision - Service Isengard ? ~~Isengards~~ ?
       * Fait neox
   * documentation ?
       * todo neox




# Services généraux

## Audio.a-lec.org

   * équipe : Cpm
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/audio](https://git.a-lec.org/a-lec/commissions/infrastructure/audio)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues)
       * RAS
       * #1 passé à résolu le 03/03, qui ferme le ticket ? neox à chaque revue, FAIT
       * #8 UDP non disponible
           *   [https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues/8](https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues/8)
   * déployer StatoolInfos ?
   * questions :
       * RAS




## Gestion (membre et comptabilité)

   * [https://gestion.a-lec.org/](https://gestion.a-lec.org/)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues)
       * RAS
   * accès du CA (nouveaux membres)
   * documentation d'installation ?
       * todo neox


## toot.a-lec.org

   * équipe : echolib + neox
   * instance Mastodon
   * gros pics de consommation pas expliqués
   * volonté de passer à Pleroma ++
       * TODO migrer vers Pleroma
   * ~~3 comptes~~  1 seul :
       * **a-lec**
           * comcom en est désormais responsable
       * ca : va disparaître
           * disparu
       * neox : disparition en cours
           * redirige maintenant vers toot.chalec.org
       * croax
           * ?
           * suppression ok
   * des messages envoyés
   * plusieurs fois cités
   * doc d'install spécifique a-lec ?
       * cela vaut-il le coup si migration à Pleroma ? NOOOOOOON.
   * évaluer Friendica
       * todo neox vm de test
   * todo neox enlever tootest, elle sert à rien
       * Fait neox


## www.a-lec.org

   * équipe : echolib + neox
   * implémentation de la charte graphique actuelle dans GSL
       * Fait neox
   * définition de la chaîne de production du site :
       * dépôt d'articles GSL
       * transfert sur la vm (CI)
       * génération automatique d'une version brouillon visible via un htaccess
       * le directeur de publication vérifie et lance une génération finale
       * Fonctionnel !
   * à terme les dépôts Articles www.a-lec.org et www.a-lec.org vont fusionner
       * Fait neox
   * #1 Lien JOAFE
       * résolu
   * #6 Contenu des balises entêtes affichées en début de page 
       * résolu
   * #7 Ajouter la photo de Julian
       * en cours
   * #8 AJout d'un bouton vers le compte fédivers en pied de page
       * nouveau


## www.a-lec.org /~~ GSL Statique Littérateur (conf pour www) ~~Template GSL pour www.a-lec.org

   * équipe : neox 
   * CSS ok (mais évolution)
   * todo echolib un readme pour le repo GSL de l'infra pour expliquer ce que c'est
       * Fait echolib
   * todo echolib gérer les allers-retour de wip à www et inversement
       * Fait echolib
   * source : [https://git.a-lec.org/echolib/gsl](https://git.a-lec.org/echolib/gsl)


## Echolib's GSL ([https://git.a-lec.org/echolib/gsl)](https://git.a-lec.org/echolib/gsl))

   * équipe : Echolib
   * [https://git.a-lec.org/echolib/gsl/-/issues?sort=updated\_asc\&state=opened](https://git.a-lec.org/echolib/gsl/-/issues?sort=updated\_asc\&state=opened)
       * 4 tickets


## xmpp.a-lec.org

   * équipe : Neox 
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp](https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp)
   * ça tourne tranquillement
   * nombre de salons : 23 dont 16 publics
   * nombre d'utilisateurs : 16
   * manque de la doc
       * todo neox
   * déclaration auprès d'observers
       * todo neox
   * #1 Création de compte
       * résolu




# Services aux adhérents  

## DNS pour les adhérents

   * équipe : neox
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs](https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs)
   * tickets : [https://git.a-lec.org/a-lec/services-aux-adherents/services-dns-utilisateurs](https://git.a-lec.org/a-lec/services-aux-adherents/services-dns-utilisateurs)
       * todo neox continuer l'automatisation
       * en cours
   * questions :
       * entrées git.a-lec.org ?
           * données des utilisateurs :
               * [https://git.a-lec.org/services-aux-adherents](https://git.a-lec.org/services-aux-adherents)
               * dépôts privés
           * gestion du service :
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs](https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs)
           * description de groupe : présenter qui fait quoi pour qui pour quoi ?


# Conclusion

## Prochaine réunion

Date prochaine réunion :

   * mercredi 25 mai : neox, cpm, croax
       * pour : 
   * autre ?


Horaire de début :

   * 20h30
       * pour : croax, cpm
   * autre ?


Horaire de fin :

   * 23h00
       * pour : cpm, croax
   * autre ?


Fin de la réunion à 22h43













