# Compte-rendu de réunion mensuelle - juillet 2022

*SALON COMINFRA : xmpp:cominfra@salons.a-lec.org?join

*En audio dans le salon Mumble Cominfra : [https://audio.a-lec.org/](https://audio.a-lec.org/)





# Prologue

Pad précédente réunion : [https://pad.chalec.org/p/Réunion\_Cominfra\_Juin\_2022](https://pad.chalec.org/p/Réunion\_Cominfra\_Juin\_2022)



Présents : 

   * neox
   * croax
   * cpm


Excusé : 

   * echolib (mais peut-être présent brièvement)


Rappel : faire le revue de tous les sujets de la commission Infrastructure de Libre-en-communs.



## Statistiques

Machines :

   * routeurs : 2 (routeur, turris)
   * pm : 4 (mother, aunt, britt, athea)
   * vm : 24


Tickets :

   * [https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards)
   * non fermés : 41   ~~60~~
   * actifs : 31   ~~39~~
       * ouverts : 26  ~~29   21  19~~
       * en cours: 2    ~~3  3~~
       * bloqué : 2    ~~7   6~~
   * rejeté: 2      ~~1   0~~
   * résolus : 8    ~~23  28  01~~


Encouragement à faire des tickets pour toutes les actions (même un ticket rapide), cela reflète l'activité (et historise)



## Gestion de la commission

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues)
   * #2 Réunion mensuelle Infrastructure avril 2022
       * résolu
   * #3 Réunion mensuelle Infrastructure mai 2022
       * rejété
   * #4 Réunion mensuelle Infrastructure juin 2022
       * planifié
   * Comptes rendus des réunions d'avril et juin 2022 enfin ajoutés (merci à croax pour le module markdown dans le pad !)


# Services techniques

## Infra générale

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale)
   * réception de matériel :
       * Nouvelles cartes réseau à tester bientôt
       * SSD pour le routeur Turris à installer bientôt
   * pm britt
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39)
       * TODO documenter l'installation initiale
       * profile de britt :
           * 32 coeurs
           * 16 Go de RAM
           * 1 To de disque dur mécanique à étendre
       * echolib se charge des mises à jour et ça se passe bien
   * athéa :
       * baie installée
       * en attente de la mise en fonction
           * manque un câble d'alimentation CPU qu'on a reçu récemment
               * installation prochainement
       * profil de athea :
           * 32 coeurs (puissance similaire à mother et aunt)
           * 32 Go de RAM
           * 1 To hdd, à étendre
               * ssd 128 Go à prix modique ?
                   * Pour l'instant pas de budget pour ça
           * prévision d'une connexion fibre dédiée (payée par l'asso)
               * mise en place de la fibre à réaliser
               * routeur Turris à étudier quand nouvelle fibre ok
   * Fin de mise à disposition du local de La Varenne
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/49](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/49)
       * Comment s'organiser ?


   * routage :
       * un Linksys, n'a pas assez de ram, des services sont régulièrement arrêtés de façon inattendue
       * va être changé pour un Turris
       * ~~recherche en cours d'un stockage externe usb3~~
           * Finalement, au vu de l'architecture du Turris, recherche et installation d'un SSD PCIe prévues
           * Installé et manque plus qu'à formater
   * virtualisation :
       * Pas de split brain ce mois-ci
   * état des machines physiques :
       * routeur
           * Toujours aussi bugué
       * mother
           * RAS
       * aunt
           * RAS
       * britt
           * RAS
       * athea
           * Pas encore fonctionnelle
   * #3 Hébergement web pour le projet gem-graph[https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards)
       *  en attente
       * RAS
   * #25 Sauvegardes – Dump automatique des bases de données sur les vm
       * déplacé dans le projet Sauvegardes
       * Todo neox
   * #27 Débogage de Libreboot : 
       * un bug s'est introduit dans Coreboot entre la 4.6 et la 4.11
       * Résolu
   * #28 HSTS Preload pour a-lec.org et chalec.org
       * Neox :~
       * ouvrir un ticket dédié Chalec Fait neox
   * #33 URL autoconfiguration mail
       *  Proxy vers la machine mail (well-known)
       * todo neox
       * Cela ne semble pas évident de faire un proxy de cette nature. Il faut que je creuse
       * Rejeté
   * #34 Création de la machine virtuelle status.chalec.org
       * Todo neox
   * #36 Décentralisation de l'infrastructure Libre en Communs
       * planifé
   * #37 Virer les messages on/off de fail2ban
       * Todo neox
   * #40 Remplacement de routeur Linksys par Turris
       * planifié
   * #43 /tmp en ramdisk 
       * questions :
           * quelle dimensionnement pour le ramdisk ?
           * vu le filesystem intégre un cache, n'est-ce pas suffisant ?
               * facile à faire
           * étude à faire pour faire simple
           * non urgent
   * #45 Changer le port du reverse proxy 
   * #47 Création d'une vm de test pour friendica
       * Rejeté
   * authentifcation forte :
       * pousser l'adoption de l'A2F aux membres de l'équipe ?
           * +1 (neox)
       * solution de clé :
           * Solokey : [https://solokeys.com/](https://solokeys.com/)
               * neox en achète une perso
               * cpm en utilise déjà une sur l'infra a-lec (coffre, git…)
           * Nitrokey : [https://www.nitrokey.com/fr](https://www.nitrokey.com/fr)
               * pas de usb-c disponible
               * du flou dans la spéc open-hardware
       * bonne pratique => 2 clés ?
       * À étudier


## Coffre

   * Vault Warden : installé depuis les sources
   * créer projet GitlabCE pour le suivi 
       * TODO Neox Fait 
   * du ménage de fait dans les collections et groupes
       * création du groupe comcom ???
           * fait, wilder a les accès
   * documentation
       * Todo neox


## Coreboot

   * Neox en action :
   * l'infra tourne sous coreboot 4.6.
   * Installation prochaine de Libreboot (build de Dasharo)


## DNS

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/dns](https://git.a-lec.org/a-lec/commissions/infrastructure/dns)
   * #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
       * planifié+bloqué
       * todo neox
   *  #5 Ajouter un enregistrement CAA
       * bloqué 
   * #7 Ajouter autoconfig.a-lec.org sur le DNS de notre nom de domaine 
       * fait neox
   * #8 DANE/TLSA mail 
   * décomissionnement du certifact wildcard
       * FAIT Neox
       * option du preserved\_key à explorer pour n'avoir à transférer que le certifat et non la clé, ce qui allège la problématique de transfert
           * un jour peut-être
           * todo neox


## Forge / git.a-lec.org

   * neox :
       * maj 1
       * maj 2
       * mise en place de la ci pour les www a-lec et chalec
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues)
   * #4 One project failed its last repository check:  Outils de trésorerie 
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues/4](https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues/4)
       * A suivre...
   * questions :
       * 1 maj GitlabCE => 1 ticket ?
           * bonne résolution !
       * surveiller la gouvernance : gitlab ne financerait plus les paquets côté debian
           * [https://social.masto.host/@praveen/108555142858745790](https://social.masto.host/@praveen/108555142858745790)
           * « Gitlab Inc sponsored work on this project for 6+ years until recently. Now we are looking for the community to support it. »
               * Pour l'instant aucun impact


## Forge / Sid bot XMPP

   * Neox en action
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot](https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot)
   * sera déployé un jour
   * tickets : RAS


## Mail

   * Équipe : croax + wilder
   * Événements : 
       * RAS
   * Statut :
       * VM
           * Disques : 11/50GB (23%)
           * RAM : 0.385/2GB
       * Nombre de boites humaines :  38
       * Espace disque des boites : 
           * Total : 2.9, 3.3, 3.4, 3.5G
           * Quasi totalité < 100Mo
       * Liste Tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues?](https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues?)
           * Résolus Ouverts : 5
           * Rejeté : 1
           * Non résolus : 3
   * Rejeté : 
       * #79 :  Redirection photo --> sieve
   * Résolu 
       * #78 : Création compte
       * #77 : Cron Spamassassin
       * #76 : DKIM relaxed/relaxed --> augmenter interopérabilité
       * #75 : Config compte (photo)|(communications) --> communication@a-lec.org
       * #71 : MAJ Roundcube 1.5.3
   * En cours
       * #14 : Autoconfig client. Débloqué. Nginx en cours.
   * A faire
       * #33 Correction du bug Roundcube. Pas urgent.
       * #74 : Automatiser inscription. Script local, réfléchir comment automatiser. Pas urgent
           * Voir le repo des outils de trésorerie (y a du code pour accéder aux issues gitlab)
   * Retours sur Incident de redirection (discuté lors de la précédente réunion) ?




## Sauvegardes

   * nous avons :
       * backup quotidien (avec historique de 3 jours)
       * backup hebdomadaire (avec historique de deux semaines)
       * backup mensuel (avec historique de deux mois)
   * comment accéder à la doc Git si le SI est hors service ?
       * faire un miroir sur une autre forge
       * TODO Neox
       * TODO faire script pour détecter les projets GitlabCE non mirrorés
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues)
   * #2 Sauvegardes – Dump automatique des bases de données sur les vm
       * ex [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25)
           * planifié
   * #3 Erreur cron backups: called but not existing
       * nouveau
       * pas grand chose de grave : question de fichier temporaire
   * #4 Créer une ou des sondes de vérification des sauvegardes
       * il faut ajouter des sondes
       * à prévoir
   * #5 Espace de sauvegarde presque plein
       * fallocate en commentaire
       * TODO neox : cure d'amaigrissement des fichiers de sauvegardes
   * questions :
       * 



## Supervision

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/isengard](https://git.a-lec.org/a-lec/commissions/infrastructure/isengard)
   * Neox en action
   * #6 Créer une procédure pour ajouter une sonde locale à une vm
       * TODO neox quand ça marchera
   * #8 Étudier le déploiement de sondes à l'extérieur du SI
       * quand on aura un serveur externe
   * #9 Configurer correctement l'ajout de sondes locales sur les machines virtuelles
       * oui mais marche pas, todo  neox
       * des essais avec www.chalec.org : marche toujours pas


Questions :

   * renommer le projet GitlabCE « Service Isengard » en « Supervision » ?
       * ~~Isengard - Supervision~~ ? Supervision - Service Isengard ? ~~Isengards~~ ?
       * Fait neox
   * documentation ?
       * fait neox et cpm
   * données stockées dans grafana ?
       * à surveiller !




# Services généraux

## Audio.a-lec.org

   * équipe : Cpm
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/audio](https://git.a-lec.org/a-lec/commissions/infrastructure/audio)
   * tickets : RAS
   * questions :
       * RAS




## Gestion (membre et comptabilité)

   * [https://gestion.a-lec.org/](https://gestion.a-lec.org/)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues)
   * #4 Recherche sur la liste des membres selon leur date d'inscription.
       * résolu
   * #5 Créer un système d'enregistrement de don
       * planifié, résolu
   * accès du CA (nouveaux membres)
   * documentation d'installation ?
       * todo neox
   * automatisation des soumissions d'adhésion et don
       * Fait et fonctionne
       * Première vague d'expirations de cotisation bien passée


## toot.a-lec.org

   * équipe : echolib + neox
   * instance Mastodon
   * gros pics de consommation pas expliqués
   * volonté de passer à Pleroma ++
       * TODO migrer vers Pleroma
   * ~~3 comptes~~  1 seul :
       * **a-lec**
           * comcom responsable
           * suppression ok
   * des messages envoyés
   * plusieurs fois cités
   * doc d'install spécifique a-lec ?
       * cela vaut-il le coup si migration à Pleroma ? NOOOOOOON.
   * évaluer Friendica
       * rejeté


Dès que GSL est push, je m'occuper de voir pour friendica

   * ~~questions :~~
       * ~~quel rapport entre toot.a-lec.org et friendica ?~~
           * ~~friendica est une potentiellement une alternative à Mastodon, en concurence à Pleroma~~
       * ~~pour la migration, la question de l'export des toots se pose car campagnes etc~~
   * Rejeté pour des raisons de performances et de bugs soulevées par un chaton


## www.a-lec.org

   * équipe : echolib + neox
   * implémentation de la charte graphique actuelle dans GSL
       * Fait neox
   * migration en cours de la nouvelle version de GSL
       * FAIT
   * définition de la chaîne de production du site :
       * dépôt d'articles GSL
       * transfert sur la vm (CI)
       * génération automatique d'une version brouillon visible via un htaccess
       * le directeur de publication vérifie et lance une génération finale
       * Fonctionnel !
   * #8 AJout d'un bouton vers le compte fédivers en pied de page
       * nouveau
   * #9 Article pour la conférence de RMS
       * rédactionnel
   * #10 revoir la structure du site
   * #11 Améliorer la page "Projets et Commissions"
       * rédactionnel
   * #12  Améliorer la page "Contact"
       * rédactionnel
   * #13 page d'accueil : contenu
       * 7 demandes en un ticket => demander de scinder
   * #14 page d'accueil : menu
   * #15 page d'accueil : liens


   * questions :
       * ce projet doit-il rester dans Cominfra ou aller dans Comcom ?
           * token applicatif bloquant pour le CI qui doit rester dans Cominfra




## www.a-lec.org / Template STL pour www.a-lec.org

   * équipe : neox 
   * CSS ok (mais évolution)
   * todo echolib un readme pour le repo GSL de l'infra pour expliquer ce que c'est
       * Fait echolib
   * todo echolib gérer les allers-retour de wip à www et inversement
       * Fait echolib
   * source : [https://git.a-lec.org/echolib/gsl](https://git.a-lec.org/echolib/gsl)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/template-gsl/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/template-gsl/-/issues)
   * #2 Utiliser la fonte Luciole 
       * Ça a l'air plutôt agréable
       * echolib valide
       * TODO Cpm lien vers fichiers web  FAIT  (voir ticket)
       * TODO intégrer




## echolib's STL ([https://git.a-lec.org/echolib/gsl)](https://git.a-lec.org/echolib/gsl))

Version 0..1.9 Push. Voir le changelog, et la doc, pour les nouveaux marqueurs \o/



Changement de nom : GSL -> STL. Un déploiement à prévoir.



## xmpp.a-lec.org

   * équipe : Neox 
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp](https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp)
   * ça tourne tranquillement
   * **Rapport d'activité juin 2022**
       * Nombre de domaines couverts: 1
       * Nombre de comptes (tous domaines confondus): 23
           * actifs: 14
           * inactifs: 9
           * suppressibles: 0
       * 

       * Un compte inactif est un compte ne s'étant pas connecté durant le mois écoulé.
       * Un compte suppressible n'a jamais lu le message de bienvenue et ne s'est pas connecté durant les six derniers mois.


       * Occupation d'espace disque des archives de messages (MAM): 190867 o
       * Salons XMPP actifs: 28 ~~25~~


       * Occupation d'espace disque téléversement de fichiers: 1,9Gio
           * maximum: 919Mio
           * minimum: 1,1Mio
           * moyenne: 171Mio


       * Nombre d'appels audio/vidéo transmis: 81


   * manque de la doc
       * todo neox
   * déclaration auprès d'observers
       * todo neox
   * TODO documentation




# Services aux projets externes

Note :  ces services doivent soutenir des projets externes qui rencontrent nos buts et à but non lucratifs.



Questions :

   * Odile demande l'hébergement de pages web d'un sous-domaine à elle pour des articles sur les Communs
       * sur le principe : OUI
       * compatible avec la contrainte intérêt général : OUI (car sur les communs)
       * où + comment + qui ?
           * nouvelle vm :
               * nom ?
           * déléguer la gestion de la vm à Odile
       * En attente de la demande explicite par ticket ou courriel
       * relancer Odile en septembre


## Zones DNS pour projets externes

   * équipe : neox
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs](https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs)
   * tickets : [https://git.a-lec.org/a-lec/services-aux-adherents/services-dns-utilisateurs](https://git.a-lec.org/a-lec/services-aux-adherents/services-dns-utilisateurs)
       * todo neox continuer l'automatisation
       * en cours
       * N'as pas avancé ce mois-ci
   * questions :
       * entrées git.a-lec.org ?
           * données des utilisateurs :
               * [https://git.a-lec.org/services-aux-adherents](https://git.a-lec.org/services-aux-adherents)
               * dépôts privés
           * gestion du service :
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs](https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs)
           * description de groupe : présenter qui fait quoi pour qui pour quoi ?


# Divers

Nouveaux projets, où les ranger ?

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-tresorerie](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-tresorerie)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/captchas](https://git.a-lec.org/a-lec/commissions/infrastructure/captchas)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-secretariat](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-secretariat)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/adhesion.a-lec.org](https://git.a-lec.org/a-lec/commissions/infrastructure/adhesion.a-lec.org)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/don.a-lec.org](https://git.a-lec.org/a-lec/commissions/infrastructure/don.a-lec.org)


On met dans un sous-dossier de gestion : 

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-tresorerie](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-tresorerie)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-secretariat](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-secretariat)
Todo neox



Déployer StatoolInfos ?

   * Déploiement sur une vm stats
       * todo neox
   * services visés : www, audio, xmpp, git, toot


Question générale : 

    Pour créer



# Conclusion

## Vacances/indisponibilité

   * cpm : RAS
   * croax : début août et fin aoüt
   * echolib : fin juillet, début aout, et fin aout
   * neox : Finalement départ du 15 a 18 août en Suisse (0 dispo), suivi du Camp CHATONS du 18 au 21 août (dispo relative)
   * wilder : RAS


## Prochaine réunion

Date prochaine réunion :

   * mercredi 31 août : 
       * pour : neox, cpm, croax, wilder
   * autre ?


Horaire de début :

   * 20h30
       * pour : neox, cpm, croax, wilder
   * autre ?


Horaire de fin :

   * 23h00
       * pour : neox, cpm, croax, wilder
   * autre ?


Fin de la réunion à 00h11















