# Compte-rendu de réunion mensuelle - septembre 2023

mercredi 11 octobre 2023, 20h00-22h30

*SALON COMINFRA : xmpp:cominfra@salons.a-lec.org?join

*En audio dans le salon Mumble Cominfra : [https://audio.a-lec.org/](https://audio.a-lec.org/)





# Prologue

CR précédente réunion : voir timeline ou [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/blob/main/R%C3%A9unions/](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/blob/main/R%C3%A9unions/).



Personnes présentes: 

   * neox
   * GNUtoo
   * Laurent
   * ChristianD
   * Jérôme (en retard)


Personnes excusés : 

   * Nicolas-Alexandre


Personnes pas excusé : 

   * 



Rappel : faire le revue de tous les sujets de la commission Infrastructure de Libre en Communs.



## Statistiques

**Machines**

   * routeurs = 3
       * leparc
       * fontainebleau
       * gisors (actuellement turris)
   * machines physiques = 6
       * mother
       * aunt
       * anthea
       * britt
       * sauvkipeu
       * gardefou
   * vm = 28
       * Le Parc : 26 (13 + 13)
       * Fontainebleau : 1
       * Gisors : 1
   * baies : 2


**Sites**

   * Le Parc : leparc, mother, aunt, sauvkipeu
   * Fontainebleau : fontainebleau, anthea, gardefou
   * Gisors : turris, britt


**Consommation mémoire (est-ce qu'on est à l'étroit ?)**

   * mother : 32 % de 110 Gio
   * aunt : 27 % de 110 Gio
   * anthea : 6 % de 32 Gio
   * ~~britt : 7 % 16 Go~~
   * gardefou : 10 %  4 Go
   * sauvkipeu : 17 %  2 Go


**Charge I/O**

   * mother : 24 %
   * aunt : 23 %
   * anthea : 2 %
   * britt : 3 %
   * gardefou : 1 %
   * sauvkipeu :  1 %
   * notes :
       * pour vérifier quel processus écrit/lit le plus
           * atop -D -c 1
       * voir dans le futur pour une entrée Grafana


**Charge CPU/syscalls**

   * mother : [https://isengard.libre-en-communs.org/monitoring/host/services?host=mother.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=mother.libre-en-communs.org#)!/monitoring/service/show?host=mother.libre-en-communs.org\&service=System%20load
   * aunt : [https://isengard.libre-en-communs.org/monitoring/host/services?host=aunt.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=aunt.libre-en-communs.org#)!/monitoring/service/show?host=aunt.libre-en-communs.org\&service=System%20load
   * britt : [https://isengard.libre-en-communs.org/monitoring/host/services?host=britt.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=britt.libre-en-communs.org#)!/monitoring/service/show?host=britt.libre-en-communs.org\&service=System%20load
   * anthea : [https://isengard.libre-en-communs.org/monitoring/host/services?host=anthea.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=anthea.libre-en-communs.org#)!/monitoring/service/show?host=anthea.libre-en-communs.org\&service=System%20load
   * sauvkipeu : [https://isengard.libre-en-communs.org/monitoring/host/services?host=sauvkipeu.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=sauvkipeu.libre-en-communs.org#)!/monitoring/service/show?host=sauvkipeu.libre-en-communs.org\&service=System%20load
   * gardefou : [https://isengard.libre-en-communs.org/monitoring/host/services?host=gardefou.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=gardefou.libre-en-communs.org#)!/monitoring/service/show?host=gardefou.libre-en-communs.org\&service=System%20load
   * La plupart du temps, en dessous de 10
   * observation d'un seuil de tolérance nominale à 40, au delà, impact sur la performance des services (ralentissements…)


~~Tickets :~~

   * [https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](~~https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards~~)
   * ~~non fermés : 133, 142, -, 101, 105, 92, 80, [82]~~
       * ~~actifs : 106, 100, -, 81, 83, 67, 62, [58]~~
           * ~~ouverts : 69, 63, -, 66, 66, 52, 47, [42]~~
           * ~~en cours :  16, 14, -, 5, 9, 8, 10, [8]~~
           * ~~bloqué : 21, 23, -, 10, 8, 7, 5, [8]~~
       * ~~rejeté: 0, 0, -, 0, 1, 1, [2]~~
       * ~~résolus : 27, 42, -, 20, 22, 24, 17, [22]~~


~~Ratio actif/inactif :  2,38 ; 4,1 ; 3,8 ; 2,68 ; 3,4 ; 3,9~~



Encouragement à faire des tickets pour toutes les actions (même un ticket rapide), cela reflète l'activité (et historise) et à les résoudre.



## Gestion de la commission

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues)
   * RAS


# Services techniques

## Infra générale

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues)
       * **#28 HSTS Preload pour a-lec.org et chalec.org**
           * Neox :~
           * ouvrir un ticket dédié Chalec Fait neox
       * **#36 Décentralisation de l'infrastructure Libre en Communs**
           * planifié
           * en cours
       * **#78 Adopter un plan de nommage pour les baies**
           * actuellement : pas de nom
           * [https://pad.chalec.org/p/nommages-suegaVL#L95](https://pad.chalec.org/p/nommages-suegaVL#L95)
           * décision : 
           * TODO prendre décision prochaine réunion mensuelle, quatro
           * TODO mettre une étiquette sur les baies
           * TODO maj doc
           * TODO documenter le plan de nommage
           * proposition de ne pas nommer les baies : 
               * une baie est un meuble, pas un noeud de réseau, pas un truc accessible
               * on a pas tant de baies que ça, une seule baie par site en fait
                   * nom du site suffisant (précédé de baie, par exemple)
       * **#79 speedtest en échec**
           * bloqué, à revoir avec bookworm
               * problème toujours valable
               * Speedtest était un client pour librespeed et autre mais speedtest ne marche plus => ça va être enlevé.
       * **#83 SMART error (OfflineUncorrectableSector) detected on host: britt**
           * bloqué pour panne
           * rejeté (décommissionnement de britt)
       * **#84 Méta-bogue de difficulté de participation pour les nouvelles personnes**
           * plusieurs sous-tickets ouverts
       * **#87 Restructurer l'accès internet à Gisors**
           * En attente de #89
           * en cours
       * **#89 Souscription à ligne fibre pour Gisors**
           * en cours
       * **#91 Documenter anthea**
           * En cours
       * **#104 Installer GNU Boot sur nos machines physiques**
           * TODO neox
           * en cours
       * **#115 Installer GNU Zile sur les routeurs**
           * [https://packages.guix.gnu.org/packages/zile/](https://packages.guix.gnu.org/packages/zile/) (Clone léger de Emacs)
           * fait neox
       * **#120 Mettre le service COFFRE sur sa propre vm**
           * todo neox
       * **#124 Ligne mailto en double dans /etc/sudoers**
           * fait neox
       * **#127 Documenter l'installation d'un routeur **
           * todo neox
       * **#128 Documenter le routeur leparc **
           * todo neox
       * **#129 Documenter le routeur fontainebleau **
           * todo neox
       * **#131 Normaliser le hostname du routeur leparc**
           * fait neox
       * **#132 Documenter le routeur gisors**
           * todo neox
       * **#140 Documenter britt**
           * rejeté neox
       * **#141 Réinstaller la vm dns**
           * Todo neox
       * **#143 Panne de 'britt'**
           * rejeté neox
       * **#152 Avoir un canal de communication de secours**
           * choisir un autre serveur XMPP que le notre : 
               * celui de la FSF : faut faire la demande
               *  ou celui d'un chaton
                   * choix de immae pour commencer, on pourra changer plus tard
                       * n'accepte pas les connexions actuellement, il faut choisir autre chose : 
                           * un service classé A par XMPP Providers ?
                               * [https://providers.xmpp.net/](https://providers.xmpp.net/)
               * TODO Créer un compte + un salon ouvert mais pas public
                   * nommage : **Cominfra 112**
                   * déféré à une prochaine réunion
       * **#153  Gros ping sur fontainebleau**
           * todo neox se renseigner
       * **#155  Rédiger une procédure pour la limitation de la bande passante d'un service **
           * Todo
       * **#156 Documenter les mesures anti-ddos **
           * todo
       * **#157 Documenter la vm pad.a-lec.org  **
           * en cours neox
       * **#158  Décommissionner la vm vote.a-lec.org        **
           * fait neox
       * **#159 Instabilité de la redirection http->https du routeur leparc **
           * todo neox
       * **#160 Coupure électrique du site fontainebleau **
           * Résolu
       * **#161 Corriger la configuration des services réseau d'anthea **
           * todo
       * **#162 Gardefou et sauvkipeu ne redémarrent pas après une coupure de courant **
           * fait neox
           * possibilité de hardcoder cette config en cas de pile défectueuse ou changement
               * Sans doute génération de cmos\_layout.bin avec bon défault et remplacement avec cbfstool.


### Site LeParc

   * leparc
       * redirection http->https cassée
           * impossible à réparer ca en collision avec regen certs acme
               * todo neox #159


   * mother
       * installation de GNU Boot effectuée avec succès
       * espace disque : 7% d'espace disque restant
           * CA validation de commande de disque


   * aunt
       * installation de GNU Boot effectuée avec succès
       * espace disque : 7% d'espace disque restant
           * CA validation de commande de disque


   * sauvkipeu
       * GNU Boot installé !
       * RAM 2 Go :
           * étendre à 8 Go à l'occasion


### Site Fontainebleau

   * fontainebleau
       * RAS
       * pas vu de pertes ipv6
           * tester également pour voir, avec anthea ?


   * anthea
       * seule machine physique sous Trisquel 11
           * pas sauvegardée à priori


       * installation de GNU Boot en attente


       * documentation de l'installation initiale TODO
           * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91)


   * gardefou
       * GNU Boot installé !
       * RAM 4 Go :
           * étendre à 8 Go à l'occasion


   * DRBD sur fontainebleau
       * implications :
           * doubler anthea
               * une carte mère est disponible
               * il manque un casier
               * il manque des ventilateurs
           * acheter 2 cartes réseaux 10GB (chères)
               * pas prioritaire pour commencer


### Site Gisors

   * britt
       * décommissionnée


   * future nouvelle machine
       * **installer un T500** / x200 (compatible GNU Boot) :
           * machine : 150 € sur LBC pré-installée avec Libreboot ?
               * TODO en trouver une
           * disque dur SSD 250 Go :
               * [https://www.ldlc-pro.com/fiche/PB00242399.html](https://www.ldlc-pro.com/fiche/PB00242399.html) 
               * prix : 50 € + port
               * TODO à commander quand la machine sera récupérée
           * disque externe 4 To : 
               * [https://www.ldlc-pro.com/fiche/PB00376961.html](https://www.ldlc-pro.com/fiche/PB00376961.html)
               * prix : 140 €
               * TODO à commander quand la machine sera récupérée
           * trouver un nouveau nom


   * Connectivité
       * passage à FDN pour essayer d'avoir une nouvelle ligne
           * **financement approche 50 %/50 % : 29  € + 28 € (validé par CA)**
           * commande effectué par echolib
               * le tarif va être plus bas qu'annoncé au départ
               * FDN en attente de réponse
                   * todo neox maj ticket #87
                   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/87](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/87)


### Perspectives

   * Profiter de la fibre indépendante pour répartir les services gourmands en bande passante
       * video
       * nuage
       * visio
   * Fournir de la puissance de calcul à des universités ?
       * certes. Question politique : avons-nous à compenser les manquements de l'État ?
           * ça se discute
   * Ouvrir un builder de substituts GNU Guix ?
       * Les mirroirs sont pas possibles: GNUtoo à déjà demandé de façon non officielle et la réponse était que y'avait beaucoup beaucoup trop à syncronizer. Mais faire un builder (comme bordeaux.guix.gnu.org) est possible.
   * Ouvrir un miroir Trisquel ?
   * complétude multi-site
   * sauvegardes :
       * finalisation du nouveau plan de sauvegardes
   * mesure consommation électrique des sites :
       * déploiement de prises-compteurs connectés
           * stage de sparthéon
       * déploiement de logiciel de mesures en interne
   * Migration de forge
       * décision du CA du 29 janvier 2023
       * migration prévue de git.a-lec.org vers forge.a-lec.org
   * Migration d'OS / FSDG
       * décision du CA du 12 mars 2023
       * analyse des alternatives : [https://pad.chalec.org/p/lec-debian-reflexion-H7Re#L104](https://pad.chalec.org/p/lec-debian-reflexion-H7Re#L104)
       * essais avec Trisquel ; nouvelle machine generic\_trisquel
           * Trisquel 11 Aramo sortie fin mars 2023
           * [https://packages.trisquel.org/](https://packages.trisquel.org/)
           * différences minimes
       * On va s'y mettre doucement avec des machines virtuelles identifiées sur la base du volontariat
           * "Victimes consentantes"


   * Changement de routeurs
       * Nous avons des netgears compatibles LibreCMC (WNDR3800)
           * Stagiaire (Marian, technicienne réseau) va s'en occuper


   * Chiffrer les disques des machines physiques ?
       * Ça a du sens pour se protéger des firmwares non libres (notamment SSD)


   * Un annuaire centralisé (LDAP) ?
       * plus simple pour gérer les adhésions/radiations liées à des services


### Questions générales

   * authentification forte :
       * solution de clé :
           * Nitrokey : [https://www.nitrokey.com/fr](https://www.nitrokey.com/fr)
               * Niveau logiciel libre:
                   * Secure element pas libre
                   * Le reste est libre (le firmware) et compile correctement.
               * pas de usb-c disponible
               * du flou dans la spéc open-hardware
               * rencontre d'un développeur Nitrokey
                   * d'accord que soucis sur leur spécifications et que tout n'est pas libre
                   * volonté d'améliorer les choses
                   * version 3 sortie
                       * neox a commandé et reçu une clé
                           * ça marche super bien


   * Fossology
       * Installer ça sur l'infra de LeC ?
       * Faire de la documentation
       * Packager dans guix ?


   * DHCPv6 :
       * DHCPv6 vs SLAAC
       * FDN fourni un préfixe IPV6 statique
           * incompatible avec SLAAC => problème
               * problème lié à notre configuration et/ou à des bugs dans OpenWRT
           * incompatible avec DHCPv6
               * ou bien au prix d'une config très complexe
           * Stagiaire a dit oui, elle va tenter


   * que penser des alternatives à OpenWRT ?
           * **LibreCMC** (OpenWRTversion FSDG de la FSF)


   * augmenter la RAM de mother, aunt et anthea :
       * pas prioritaire actuellement
           * mother : 110G
           * aunt : 110G
       * plus prioritaire :
           * anthea : 32G
           * <next> : 16G


       * Recherche à des prix acceptables
       * [http://www.crucial.com/usa/en/ct16g3ersld4160b](http://www.crucial.com/usa/en/ct16g3ersld4160b) (404)
           * 20 x 50 € = 1 000 €
       * [https://www.newegg.com/crucial-16gb-240-pin-ddr3-sdram/p/N82E16820148646?Item=9SIB3T1JTU1890](https://www.newegg.com/crucial-16gb-240-pin-ddr3-sdram/p/N82E16820148646?Item=9SIB3T1JTU1890)
           * 20 x $15 x 2 = 600 €
           * mais impossible de livrer en dehors des USA
       * d'autres sources : 
           * [https://www.lambda-tek.fr/shop/?region=FR\&searchString=CT16G3ERSLD4160B](https://www.lambda-tek.fr/shop/?region=FR\&searchString=CT16G3ERSLD4160B)
               * barettes authentiques (pas chères): 
                   * [https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B-36FED~sh/B46215505](~~https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B-36FED~sh/B46215505~~)
                   * [https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B~sh/B45304311](~~https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B~sh/B45304311~~)
               * barettes authentiques (chères) :
                   * [https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B~sh/B907738](https://www.lambda-tek.fr/Crucial-CT16G3ERSLD4160B~sh/B907738)
               * barettes compatibles : 
                   * [https://www.lambda-tek.fr/2-Power-2P-CT16G3ERSLD4160B~sh/B42676595\&viewOverview=y#product-view](https://www.lambda-tek.fr/2-Power-2P-CT16G3ERSLD4160B~sh/B42676595\&viewOverview=y#product-view)
                   * [https://www.lambda-tek.fr/Origin-Storage-CT16G3ERSLD4160B-OS~sh/B44851479](https://www.lambda-tek.fr/Origin-Storage-CT16G3ERSLD4160B-OS~sh/B44851479)
       * todo neox demander à la FSF quelle barettes ils utilisent
           * HMT42GR7AFR4A-PB et ils obtiennent jusqu'à 256Go
               * j'en ai commandé personnellement pour faire des tests
                   * don à LeC de 6 barettes


   * Outils d'installation de VM
       * Besoin pour GNUtoo d'utiliser Guix sur les machines physiques à condition d'avoir un système (comme un cron) qui gère les mises à jour automatiques (guix pull).
           * Ok pour installer le paquet guix sur mother, aunt, anthea
               * todo neox
       * Debootstrap demande root et pas vraiment d'intèrèt pour l'instant donc pas vraiment besoin de l'authoriser.


## Capteurs matériels/IoT

   * équipe : neox, sparthéon
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/capteurs-materiels](https://git.a-lec.org/a-lec/commissions/infrastructure/capteurs-materiels)
   * pad de travail : [https://pad.chalec.org/p/cominfra-iot-V82LO](https://pad.chalec.org/p/cominfra-iot-V82LO)
       * nouvelles infos sur des webcams en PoE
   * serait bien de trouver un matériel permettant les mesures automatiques
   * combien nous en faudrait-il ?
       * 1 par sites + 1 de secours => 4 en tout
       * 1 par site + 1 par machine + 1 secours => 6 voir plus
   * TODO trouver un meilleur nom de projet si on y arrive :
       * propositions : Iot…
   * tickets [https://git.a-lec.org/a-lec/commissions/infrastructure/capteurs-materiels/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/capteurs-materiels/-/issues)
       * #1 recherche prise respectant la norme RYF sur le site de la FSF
           * résolu sparthéon
       * #2 recherche prise respectant la norme OSHW sur le site de l'OSHWA
           * résolu sparthéon
       * #3 recherche d'une prise mesurant la consomation électrique dont le soft est flashable
           * résolu sparthéon
       * #4 trouver et contacter des membres techniques de NETIO (constructeur de prises) pour obtenir des informations sur les prises
           * résolu sparthéon
           * Les prises NETIO ne sont pas flashable.
       * #5 créé un pad et rédigé un brouillon pour un mail à envoyé aux membres techniques de NETIO
           * résolu sparthéon
       * #6 vérifié que OpenBMC peut être installé sur les cartes mère des serveurs
           * oui, de l'espoir
           * résolu sparthéon
           * Par contre niveau FSDG c'est compliqué:
               * [https://libreplanet.org/wiki/Group:Hardware/Computers/BMC/Talos\_II](https://libreplanet.org/wiki/Group:Hardware/Computers/BMC/Talos\_II) BMC similaire pour Talos II:
                   * armv6 (pas de distributions armv6 FSDG)
                   * Peu de RAM et de flash (compliqué d'avoir Guix => Rajout du support armv6 dans OpenBMC sans doute possible car présent dans OpenWRT).
       * #7 installer OpenBMC sur les cartes mère
           * todo
       * #8 contacté un membre de raptor engineering pour avoir des informations sur le port d'openBMC sur KGPND16
           * mails envoyés, pas encore de réponse
       * #9 regarder les équivalents à l'olimex ARM-USB-TINY-H
           * todo
       * #10 contacté la FSF pour savoir comment ils ont mis en plas leur système de mesure
           * résolu sparthéon
       * #11 regarder si il y a des prises qui peuvent nous intéresser sur le site de Tasmota
           * en cours
       * #12 faire une compilation test de Tasmota
           * fait sparthéon
       * #13 regarder en détail les dépendances de Platformio et les licences utilisées par platformio, ses dépendances et Tasmota
           * fait sparthéon
       * #14 faire un audit complet de platformio et Tasmota
           * en cours sparthéon
           * lien du pad : [https://pad.chalec.org/p/Synt%C3%A8se\_audit\_tasmota](https://pad.chalec.org/p/Synt%C3%A8se\_audit\_tasmota)
   * renommage :
       * IoT
       * ok pour moi
       * TODO renommer le projet forge
   * GT CO2 CHATONS : démo scaphandre, ajout du sujet plus haut dans ce pad


Questions :

   * prise connectée : wifi vs usb ?
       * pourquoi pas, c'est une idée pour éviter les blobs
   * scaphandre :
       * déploiement Grafana + connecteur promotheus
       * GT CO2 démos
       * TODO ???
       * pas avant mars 2023
       * possible prolongement du stage de Guillaume
   * Ce qui est fait :
       * audit
       * scripts de mesure de conso
   * Ce qui attend :
       * prolongements (scaphandre)
       * documentation
       * fork de Tasmota et build
       * openBMC


## Coffre

   * équipe : neox
   * Mise-à-jour
       * RAS
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/service-coffre/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/service-coffre/-/issues)
       * #7 Documenter nginx
           * todo
       * #8 Documenter premier compte
           * todo
   * questions :
       * RAS


## DNS

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/dns](https://git.a-lec.org/a-lec/commissions/infrastructure/dns)
   * la vm a besoin d'être réinstallée
       * candidate à réinstallation en Trisquel
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/141](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/141)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/dns/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/dns/-/issues)
   * #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
       * planifié+bloqué
       * todo neox
   * #8 DANE/TLSA mail
   * #12 Déploiement déclenché sur merge request
   * #15 Faire la documentation d'installation du service DNS
   * #16 CI cassée


Questions :

   * Lors du changement de forge va se poser la question de remplacer la CI
       * Utiliser cron ? Totalement faisable
       * Autre mécanisme ?
           * Gitea actions ?


## Forge / git.a-lec.org

   * équipe : neox
   * lors de sa réunion du 29/01/2023, le CA de Libre en Communs a décidé de la nécessité de changer de logiciel de forge : [https://www.a-lec.org/actus/2023-01-29-reunion-ca/2023-01-29-CA\_sign%C3%A9.pdf](https://www.a-lec.org/actus/2023-01-29-reunion-ca/2023-01-29-CA\_sign%C3%A9.pdf)
   * mises à jour toujours bloquées
       * pour éviter d'installer Visual Studio Code automatiquement qui n'est pas libre (c'est VS codium qui est libre pas Visual Studio Code)


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues)
   * #13 Réglage pour ne pas oublier de mettre une license.
       * bloqué
   * #14 meta-bug pour repositories sans licenses
       * Planifié neox
           * Pas possible de mettre une license par défaut dans Gitlab CE, uniquement dans EE du coup ça demande sans doute d'envoyer des patchs dans Gitlab EE ou de migrer vers une autre forge (prévu).
   * #19  Avoir un miroir des projets sur une autre forge 
       * bloqué
   * #20 Détecter les projets non mirrorés  
       * bloqué
   * #24 GitLab Patch Release: 15.10.4 
       * résolu
   * #25 GitLab Security Release: 15.10.5 
       * résolu
   * #26 GitLab Critical Security Release: 15.10.6 
       * résolu
   * #27 Désactiver vscode 
       * résolu
       * implique une impossibilité de mettre à jour
   * #28 Liste des tâches CI indisponibles 
       * todo neox
       * pas eu de soucis cependant lié à ça... 


   * questions :
       * RAS


## Forge / Sid bot XMPP

   * équipe : Neox
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot](https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot)
   * sera déployé un jour
   * tickets : RAS


## forge.a-lec.org (forgejo)

   * équipe : neox
   * notes : RAS
   * stats :
       * comptes : 3
       * organisations : 6
       * projets : 6
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/forge/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/forge/-/issues)
   * #7 Mettre à jour en v1.19.2-0
       * FAIT Cpm
   * #8 Mettre à jour en v1.19.3-0
       * FAIT Cpm
   * #9 Mettre à jour en v1.19.4-0 
       * FAIT Cpm
   * #10 Mettre à jour en v1.20.1-0  
       * FAIT Cpm
   * #11 Mettre à jour en 1.20.2  
       * FAIT Cpm


   * questions :
       * RAS


## Chantier migration Forge

   * équipe : neox
   * lors de sa réunion du 29/01/2023, le CA de Libre en Communs a décidé de la nécessité de changer de logiciel de forge : [https://www.a-lec.org/actus/2023-01-29-reunion-ca/2023-01-29-CA\_sign%C3%A9.pdf](https://www.a-lec.org/actus/2023-01-29-reunion-ca/2023-01-29-CA\_sign%C3%A9.pdf)
   * pad de travail : [https://pad.chalec.org/p/cominfra-migrationforge-FLGEaw](https://pad.chalec.org/p/cominfra-migrationforge-FLGEaw)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/chantier-migration-forge/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/chantier-migration-forge/-/issues)
       * RAS
   * notes :
       * proposition de se lancer petit à petit, projet par projet
           * commencer par cominfra et chalec paraît censé (moins de problèmes)
       * migration des hiérarchies /!\/!\/!\
           * principal problème, voir le pad de travail
           * à voir au cas par cas


## Mail

   * équipe : LaurentP
   * ancien de l'équipe : croax
   * notes : 
       * première revue du pad
   * projet : [https://git.a-lec.org/a-lec/commissions/infrastructure/mail/](https://git.a-lec.org/a-lec/commissions/infrastructure/mail/)
   * statistiques :
       * disques (50G) : 13G utilisés
       * RAM : 364MB/2GB
       * nombre total de boites membre : 51
       * redirections : 21
       * espace disque des boites : 4,8 G
           * Total : 
           * Quasi totalité < Mo
       * nombre de courriels reçus :
       * nombre de courriels envoyés :
       * nombre de courriels envoyés en erreur :
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues)
   * #33    Roundcube : Impossible de changer le mot de passe
       * TODO
   * #74   Automatiser l'inscription de nouveaux membres
       * TODO
   * #124  Améliorer le courriel de bienvenue
       * TODO
   * #125 Mesurer le nombre de courriels entrants et sortants par mois
       * TODO
   * #131 Please provide a TLS enabled
       * En cours
   * #136 Mettre à jour Roundcube en 1.6.2
       * TODO
   * #137 Documenter la procédure d'installation
       * TODO
   * #138 Créer un courriel pour la commission projets
       * TODO LP
   * #139 Absence de SPF et DKIM sur le domaine chalec.org
       * TODO LP
       * attention à ne pas trop traîner car nos ip sont susceptibles d'être bannies
       * objectf : début novembre


Questions :

   * RAS


## Sauvegardes (Borgmatic)

   * nous avons :
       * plan Virt :
           * backup quotidien (avec historique de 3 jours)
           * backup hebdomadaire (avec historique de deux semaines)
           * backup mensuel (avec historique de deux mois)
       * plan Borg :
           *     keep\_within: 3d
           *     keep\_daily: 7
           *     keep\_weekly: 8
           *     keep\_monthly: 6
   * notes :
       * une migration vers le disque externe pour gardefou
       * des incidents mais traités
       * une absence de sauvegardes sur gardefou pendant 2 semaines
       * acquisition T500 Libreboot pour équiper site Gisors : possible, à Nancy
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues)
   * #4 Créer une ou des sondes de vérification des sauvegardes
       * il faut ajouter des sondes
       * todo
   * #17 Passer sauvkipeu de 2 Go à 8 Go de RAM
       * planifié neox : pb de compatiblité de barrette
       * bloqué
   * #18 Passer gardefou de 4 Go à 8 Go de RAM
       * bloqué
   * #27 Procédure de restauration système  
       * TODO Cpm
   * #31 Sauvegarder Anthea
       * installation ssd + réinstallation système
       * bloqué car version borgmatic incompatible
   * #33 Sauvegarder ns1
       * bloqué
   * #34  Stopper sauvegarde si dump base de données en erreur
       * TODO Cpm
   * #41 Redémarrage automatique de gardefou
       * TODO
   * #42 Redémarrage automatique de sauvkipeu
       * TODO
   * #45 Daily cron en erreur 
       * plan A
   * #46 ns0 n'est plus sauvegardée depuis le 13/06
       * résolu
   * #47  Sauvegarder la vm pad.a-lec.org 
       * FAIT Cpm
   * #48 Sauvegardes sauvkipeu en panne depuis le 11/07 
       * déraillage montage partition, ouf pas de casse
       * résolu


   * questions :
       * créer une entrée dans stats.a-lec.org  ?
           * oui, 1 par machine
           * TODO Cpm créer ticket FAIT
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5](https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5)
           * avoir des métriques spécifiques à la sauvegarde ?
               * nombre de machines sauvegardées
               * nombre total de sauvegardes
               * espace disque occupé
               * nombre de sauvegardes en erreur
       * générer et exposer une page web statique des rapports ? + htaccess ?
           * tant pis si accessible uniquement en ipv6 ?
               * bah oui tant pis
           * alternative de l'envoir de courrier à cominfra
       * vm restantes en plan A :
           * dns, gestion, git, mail, nuage, pad
           * donc ce qui nous retient :
               * procédure restauration
               * remontée erreur base de donnée
               * espace disque (nuage)
       * plan C :
           * périodiquement faire une copie de l'image des vm
           * quelle fréquence ?
           * une vm générique ne suffirait-elle pas ?
       * plan S comme snapshot :
           * ça écrit bcp si on est en raw
           * en qcow c'est mieux mais d'autres problèmes (montage pour du secours…)


## Stats

   * équipe : Cpm
   * projet forge : [https://git.a-lec.org/a-lec/commissions/infrastructure/stats/](https://git.a-lec.org/a-lec/commissions/infrastructure/stats/)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues)
   * [https://forge.devinsy.fr/devinsy/statoolinfos](https://forge.devinsy.fr/devinsy/statoolinfos)


   * #5 Ajouter les services de sauvegarde dans stats.a-lec.org 
       * TODO
   * #7 Date de membre incorrecte pour les organisations 
       * résolu
   * des services à ajouter ?
       * TODO mail métriques
       * TODO sauvegarde sauvkipeu (=> exposition web)
           * [https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5](https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5)
       * TODO sauvegarde gardefou (=> exposition web)
           * [https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5](https://git.a-lec.org/a-lec/commissions/infrastructure/stats/-/issues/5)
       * TODO dns
           * pas de métrique web
           * nombre de requêtes
           * nombre de banissements
           * nombre de domaines gérés


Questions :

   * Comment maintenir sur notre infra
       * TODO chercher


## Supervision

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/isengard](https://git.a-lec.org/a-lec/commissions/infrastructure/isengard)
   * neox : plein d'infos, maintenant des tests à faire
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/isengard/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/isengard/-/issues)
   * #6 Créer une procédure pour ajouter une sonde locale à une vm
       * TODO neox quand ça marchera
       * bloqué
   * #8 Étudier le déploiement de sondes à l'extérieur du SI
       * Statut : todo plus tard
       * Expérimentations en cours
       * bloqué
   * #9 Configurer correctement l'ajout de sondes locales sur les machines virtuelles
       * ça avance bien, la structure commence à se dessiner
   * #11 Documenter l'installation
       * à faire


Questions :

   * Notifications ciblées/perso : par XMPP ça vient ! On pourra choisir ses machines/services et le niveau de notif (Warning/critical)


## Documentation

   *  [https://git.a-lec.org/a-lec/commissions/infrastructure/doc-infra/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/doc-infra/-/issues)
       * refontes en cours, réécritures à faire, etc
       * Stagiaire : 
           * centraliser DHCP sur un git
           * centraliser IP statiques sur un git
       * Pour réserver des IPs :
           * Actuellement, lancer la question sur Cominfra


# Services généraux

## Audio.a-lec.org

   * équipe : Cpm
   * notes : RAS
   * projet : [https://git.a-lec.org/a-lec/commissions/infrastructure/audio](https://git.a-lec.org/a-lec/commissions/infrastructure/audio)
   * stats : [https://stats.a-lec.org/servicesgeneraux-audio-metrics-specific-months-last.xhtml](https://stats.a-lec.org/servicesgeneraux-audio-metrics-specific-months-last.xhtml)
       * utilisateurs : 14, 14, 14, 12, 14, 12, 11, 13
       * joiners : 82, 39, 65, 53, 79, 75, 91, 42
       * active rooms : 11, 4, 6, 7, 7, 9, 7, 6
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/audio/-/issues)
       * RAS
   * questions :
       * RAS


## Gestion (membre et comptabilité)

   * équipe : neox
   * [https://gestion.a-lec.org/](https://gestion.a-lec.org/)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues)
   * documentation d'installation de paheko ?
       * todo neox
   * Mises-à-jour :
       * RAS


   * #9 Cotisations : ne pas envoyer le reçu si courriel invalide
       * en cours
   * #14 Conformité des courriels au standard MIME
       * TODO neox
   * #16 Documenter l'installation du service
       * TODO neox
   * #17 Documenter la mise à jour du service
       * TODO neox
   * #19 Erreur de parsing sur nom avec apostrophe 
       * todo neox
   * #20 Vérifier que la référence d'une écriture existe 
       * todo


   * Remarques/questions
       * adhésion/cotisation bloquées jusqu'à fin de semaine (14/10)


## pad.a-lec.org

   * équipe : neox


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/pad/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/pad/-/issues)
   * #1 Ajouter un logo au dépôt 
   * #2 Personnaliser l'instance au couleurs de LeC
   * #3 Fermer les inscriptions 
   * #4 Documenter l'installation
   * #5 Déployer etherpad
   * #6 risque sur la recopie des images
       * temporairement résolu par désactivation


   * questions/remarques :
       * TODO ticket sauvegarder Sauvegarde#47 FAIT
       * TODO ticket documenter  Infra#157
       * TODO ticket lever le risque sur la recopie des images ServicePad#6 FAIT
       * combien de dépendances ?
           * une vingtaine environ
           * potentiellement packageable ?




## toot.a-lec.org

   * équipe : echolib + neox
   * instance Mastodon
   * gros pics de consommation pas expliqués
   * ~~volonté de passer à Pleroma ++~~
       * ~~TODO migrer vers Pleroma~~
       * pas prêt
   * Grosses mises à jour effectuées, et ça c'est cool
   * ~~3 comptes~~  1 seul :
       * **a-lec**
           * comcom responsable
   * Modification de la description de l'instance
       * fait neox
   * Serveur debian régulièrement mis à jour, et caché purgé
   * FAIT trouver une solution pour maj Mastodon en attendant la viabilité de Pleroma
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/toot/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/toot/-/issues)


   * #7 Supprimer l'écriture point médian 
       * Fait
   * #8 Ré-écrire les règles du serveur 
       * Fait
   * #9 Ré-écrire la description de l'instance 
       * Fait
   * #11 Documenter l'installation du service
       * Fait neox
   * #12 Documenter la mise à jour du service
       * Fait neox
   * #13 Erreur à l'export de la base de données
       * table des pouets, possible que ça ne concerne que le cache des pouets externes
       * identifier procédure, tester et appliquer
           * export, effacement complet, réimport
       * En attente sauvegarde effective
   * #15 Service hors-service 
       * Fait
   * #17 Sauvetage par restauration de sauvegarde plan A
       * Fait
   * #18 Réinstaller le service proprement
       * Fait
   * #19 Mettre à jour le service vers la v4.1.4
       * Fait
   * TODO Cpm créer #20 restaurer images perdues lors de la réparation de la base de données


## www.a-lec.org

   * équipe : echolib + neox


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/www/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/www/-/issues)
   * #8 AJout d'un bouton vers le compte fédivers en pied de page
       * nouveau todo
   * #10 revoir la structure du site
       * en cours, ça avance
   * #11 Améliorer la page "Projets et Commissions"
       * rédactionnel
   * #12  Améliorer la page "Contact"
       * rédactionnel
   * #13 page d'accueil : contenu
       * 7 demandes en un ticket => demander de scinder
   * #14 page d'accueil : menu
   * #15 page d'accueil : liens
   * #18 Écrire une page expliquant comment se connecter à XMPP
   * #20  créer une page de recrutement 
   * #21 Déployer Tyto 
   * #22 Auto-certifier le compte Mastodon 


   * questions/remarques :
       * à voir cet été
       * bientôt xD


## www.a-lec.org / Template STL pour www.a-lec.org

   * équipe : neox 
   * CSS ok (mais évolution)
   * todo echolib un readme pour le repo GSL de l'infra pour expliquer ce que c'est
       * Fait echolib
   * todo echolib gérer les allers-retour de wip à www et inversement
       * Fait echolib
   * source : [https://git.a-lec.org/echolib/gsl](https://git.a-lec.org/echolib/gsl)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/www.a-lec.org-template/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/www.a-lec.org-template/-/issues)
   * #2 Utiliser la fonte Luciole 
       * Ça a l'air plutôt agréable
       * echolib valide
       * TODO intégrer !!!!!!!!
   * #4 Rendu incorrect de la balise sup
       * todo neox
   * CC BY-SA (et non pas CC-BY-SA)




## echolib's Tyto

[https://git.a-lec.org/echolib/tyto-litterateur](https://git.a-lec.org/echolib/tyto-litterateur)



Version 1.0.0 sortie en juin

Version 2.0.0 prévue bientôt, on déploiera celle là



Des améliorations pour le site de LeC : notamment barre de menu etc



Une possibilité d'en faire la promotion

   * dès que c'est stable pour echolib,
   * important car un générateur de site statique conçu pour les personnes malvoyantes


## xmpp.a-lec.org

   * équipe : Neox 
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp](https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp)
   * ça tourne à nouveau tranquillement
   * **Rapport d'activité :**
       * [https://stats.a-lec.org/servicesgeneraux-xmpp-metrics-summary-months-last.xhtml](https://stats.a-lec.org/servicesgeneraux-xmpp-metrics-summary-months-last.xhtml)
       * Nombre de domaines couverts: 1
       * Nombre de comptes (tous domaines confondus): 32
           * actifs: 18, 21, 20, 18, 17, 17, 15, 14, 17
           * inactifs: 14, 11, 9, 10, 9, 8, 8, 9, 14
           * suppressibles : 1
       * 

       * Un compte inactif est un compte ne s'étant pas connecté durant le mois écoulé.
       * Un compte suppressible n'a jamais lu le message de bienvenue et ne s'est pas connecté durant les six derniers mois.


       * Occupation d'espace disque des archives de messages (MAM): ~130kio, ~39kio, ~26Mio, ~455Mio, ~400Mo, ~400Mo, 343Mo, 291Mio, 255Mio, 236Mio, 216Mio, 190 Mio
       * Salons XMPP actifs: 45, 39, 37, 35, 34, 33, 31, 29, 25, 28 ~~25~~


       * Occupation d'espace disque téléversement de fichiers:  9.7Gio, ~7Gio, ~7Gio, ~5Gio, ~3Gio, 3.9Gio, 3Gio, 2.9Gio, 2.6Gio, 1,9Gio
           * maximum: 4.8Gio, 3.7Gio, 3.6Gio, 2.9Gio, 2.4Gio, 1.9Gio, 1.8Gio, 1.3Gio, 919Mio
           * minimum: 144Kio, 144Kio, 17Mio, 16Mio, 15Mio, 1,1Mio
           * moyenne: 620Mio, 441Mio, 459Mio, 405Mio, 372Mio, 322Mio, 330Mio, 278Mio, 263Mio, 241Mio, 171Mio


       * Nombre d'appels audio/vidéo transmis: 143, 190, 3, 59, 56, ~45, 35, 46, 32, 52, 41, 81
           * Quantité de données relayée (UDP): moyenne 80.52 MiB, max 5784 MiB, total 11515 MiB


   * déclaration auprès d'observers
       * todo neox
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp/-/issues)
   * #4 Faciliter la traversée réseau
   * #9 Documentation installation + maj
       * Todo neox
   * #15 Documenter ProcessOne
       * todo
   * #20 Crash d'ejabberd par watchdog timeout
       * En cours
       *  Les soucis de stabilité se stabilisent (ui), on va y arriver grâce à l'agrandissement du pool SQL et de la mémoire utilisable par postgres
   * #23 Documenter mot de passe perdu
       * todo neox
   * #24 Logs nginx corrompues 
       * Fait
   * #25 Compte XMPP perdu 
       * Fait
   * #26 Logrotate en erreur 
       * Todo neox
       * un peu compliqué comme histoire mais on va trouver
       * ejabberd ne marche pas bien avec logrotate, potentiellement désactiver logrotate... (ejabberd gère tout seul)


Questions :

   * RAS


# Épilogue

## Vacances/indisponibilités

   * 2 au 6 novembre 2023 (neox)
   * 15 novembre (LaurentP)
   * 



## Prochaine réunion

Date prochaine réunion :

   * 8 novembre
       * pour: neox, Laurent
       * non: 


Horaire de début :

   * 20h00
       * pour : neox
   * **20h30** :
       * pour : Laurent,neox
   * autre ?


Horaire de fin :

   * 23h00
       * pour :
   * autre ?


Fin de la réunion : 22h39
