# Compte-rendu de réunion mensuelle - février 2022

16 février 2022, 20h30-23h00

SALON CHALEC : xmpp:cominfra@salons.a-lec.org?join

En audio dans le salon Mumble Cominfra : https://audio.a-lec.org/

## Prologue
### Présents : 
	* Neox
	* Croax
	* echolib
	* Cpm

### Liste de points attendus :
	* la doc
	* les actions faites ce mois-ci
	* revue des tickets


## Revue des services

### Sauvegardes
	* déploiement de virt-backup
	* études en cours pour sauvegarder l'espace disque de la vm sans la ram sans arrêter la vm
	* nouvelle politique de sauvegarde :
		* Information : les backups ont changé de système. J'utilise à présent le système de virt-backup (https://pypi.org/project/virt-backup/). Ce système utilise les fonctions implantées dans libvirt pour réaliser des backups cohérents. 
	* Nous aurons donc à partir de mardi 15/02/2022  :
		* backup quotidien (avec historique de 3 jours)
		* backup hebdomadaire (avec historique de deux semaines)
		* backup mensuel (avec historique de deux mois)
	* comment accéder à la doc Git si le SI est hors service ?
		* faire un miroir sur une autre forge
		* TODO Neox
	* créer un dépôt git pour ce sujet?
		* oui, même si pas plein de tickets ou de fichiers, utile de savoir où regarder pour faire le point sur ce sujet
		* TODO créer un dépôt
		* TODO déplacer le ticket #25
	* tickets :
		* https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25
			* planifié


### Supervision
	* Neox en action :
		* Icinga fonctionne bien
		* un bot a commencé sa vie pour relayer les alertes
			* travail de mise au point sur les sondes par défaut
	* sonde sur vm ?
		* procédure pour ajouter une sonde locale
		* exemple de sonde locale à fournir
		* TODO 
		* Créer un dossier dans le dépôt pour stocker des sondes locales génériques
		* TODO
	* faire tourner des sondes à l'extérieur du SI ?
		* oui, à prévoir
		* d'ici quelques semaines, une nouvelle machine externe au Si sera utilisable
	* Grafana : passer par le port 3000
	* déclarer un downtime pour une vm
		* prévoir une procédure pour expliquer comment faire
		* TODO
	* tickets :
		* #4 La sonde APT renvoie toujours 0 paquets
			* Neox : Résolu
		* #5 Déploiement de graphs pour la joliesse (et parceque c'est pratique)
			* Neox : Résolu


### DNS
	* https://git.a-lec.org/a-lec/commissions/infrastructure/dns
	* dnssec fonctionne bien \o/
	* autoban dns
		* empêcher le dns de se bannir lui-même
		* possibilité de déployer des wait list failed2ban
		* TODO Neox 
	* tickets :
		* #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
			* planifié
		*  #2 Ajouter un enregistrement CAA
			* Neox : planfié
	* ouvrir un resolver ? Sur Cominfra ? Sur Chalec ?
		* il en existe déjà
		* peut-être plus à réserver à des FAI
	* certifact wildcard utilsable par toutes les machines
		* besoin d'un espace partagé entre toutes les machines
			* si disque partagé alors en cas de reboote de la vm où est le partage alors ça va casser toutes les vm donc pas cool
			* point de dépendance majeur
		* du coup on va éviter d'avoir un wildcard générique pour toutes les machines
	* optoin du preserved_key à explorer pour n'avoir à transférer que le certifat et non la clé, ce qui allège la problématique de transfert
		* sera pratique pour xmpp par exemple


#### DNS pour les adhérents
	* https://git.a-lec.org/a-lec/commissions/infrastructure/services-dns-utilisateurs
	* prévoir de trouver un nom d'entité pour y regrouper les services spécifiques aux adhérents
	* n'a pas à rester dans Cominfra
	* tickets : RAS

### Coreboot
	* Neox en action
		* travaux en cours
		* trouvé 3 bugs
		* encore un bug qui résiste : ça ne boote pas une fois sur trois
	* tickets : RAS

### audio.a-lec.org

	* https://git.a-lec.org/a-lec/commissions/infrastructure/audio
	* Cpm en action
	* # 1 Créer des salons génériques
		* les noms de concepts sont confusants donc plutôt des noms de personnes :
		* Aaron Swartz
		* Richard Stallman
		* Odile Bénassy
		* Marie Curie 
		* Ada Lovelace
		* Madame X
		* Cpm : en cours
	* #6 Nouveaux certificats SSL/TLS
		* Cpm : caduc, rejeté
 
  
### gestion.a-lec.org (membre et comptabilité)
	* pour rappel :
		* logiciel Garadin en paquet Debian
	* ça roule, maj tranquille
	* #3 Nouveaux certificats SSL/TLS
		* Neox : caduc, rejeté

### coffre.a-lec.org
	* TODO Neox créer dépôt Git pour le suivi
	* Vault Warden : installé depuis les sources

### git.a-lec.org
	* ça tourne bien
	* des majs régulière
	* la plus grosse consommatrice mais on sait que ça vient du logiciel
	* #3 Nouveaux certificats SSL/TLS
		* Neox : caduc, rejeté

### mail.a-lec.org
	* craox en action
	* bal : une vingtaine
	* webmail : maj récurrente
	* option SASL installée
	* #14 Ajouter la possibilité de récupérer les informations de serveurs automatiquement
		* Croax résolu
	* #19 Adhésion 22
		* Croax résolu
	* #20 Utiliser un certificat LE local mail.a-lec.org
		* Croax résolu
	* étudier rspamd
	* sondes à prévoir
	* doc à compléter

### xmpp.a-lec.org
	* Neox en action
	* https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp
	* ça tourne tranquillement
	* déclaration auprès d'observers
	* nombre de salons : 7
	* nombre d'utilisateurs : 15
	* tickets : RAS

### Sid bot XMPP
	* Neox en action
	* https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot
	* sera déployé un jour
	* tickets : RAS


### Infra générale
	* https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale
	* réception de matériel
	* projet Gisors toujours à l'étude, avec du Watercooling
	* routage :
		* un Linksys, n'a pas assez de ram, des services sont régulièrement arrêtés de façon inattendue
		* va être changé pour un Turdis
		* recherche en cours d'un stockage externe usb3
	* virtualisation :
		* split brain suite à mise à jour
	* réplication : 
		* renforcement de la configuration drbd
	* #3 Hébergement web pour le projet gem-graph
		*  
	* #25 Sauvegardes – Dump automatique des bases de données sur les vm
		* sera déplacé dans le futur dépôt Sauvegardes
	* #26 Centralisation des certificats SSL/TLS : pour qui, quoi, comment ?
		* Neox : rejeté
	* #27 Débogage de Libreboot : un bug s'est introduit dans Coreboot entre la 4.6 et la 4.11
		* Neox : encours
	*  #28 HSTS Preload pour a-lec.org et chalec.org
		* Neox :~
	* #30 Soucis de trusted domaine sur nuage
		* ???

### toot.a-lec.org
	* echolib en action
	* Mastodon
	* gros pics de consommation pas expliqués
	* volonté de passer à Pleroma
	* #2 Nouveaux certificats SSL/TLS
		* Neox : caduc, rejeté
	* 3 comptes :
		* a-lec
		* ca : va disparaître
		* neox
		* croax
	* des messages envoyés
	* plusieurs fois cités
	* Comcom va bientôt prendre la gestion des toots


### www.a-lec.org
	* echolib en action
	* implémentation de la charte graphique actuelle dans GSL
		* le CSS est presque fini
	* définition de la chaîne de production du site :
		* dépôt d'articles GSL
		* transfert sur la vm (CI ou wget)
		* génération automatique d'une version brouillon visible via un htaccess
		* le directeur de publication vérifie et lance une génération finale
	* à terme les dépôts Articles www.a-lec.org et www.a-lec.org vont fusionner
	* plan du site : basé sur le site actuel
	* Warrant Canary : on a des services aux adhérents, pas besoin de rendre public, on peut communiquer directement aux adhérents, donc pas besoin de Warrant Canary


### GSL Statique Littérateur
	* echolib en action
	* bien avancé, bravo \ooo/
	* belle licence \o/


## Conclusion

### Prochaine réunion

Date prochaine réunion :
	* mercredi 23 mars :
		* pour : ,croax, Cpm,neox
	* autre ?

Horaire de début :
	* 20h30
		* pour : , croax, Cpm, neox
	* autre ?

Horaire de fin :
	* 23h00
		* pour :
	* autre ?







