# Compte-rendu de réunion mensuelle - février 2023

Jeudi 2 février 2023, 20h30-23h00

* SALON COMINFRA : xmpp:cominfra@salons.a-lec.org?join

* En audio dans le salon Mumble Cominfra : [https://audio.a-lec.org/](https://audio.a-lec.org/)


# Prologue

CR précédente réunion : [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/blob/main/R%C3%A9unions/CR\_2022\_11.md](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/blob/main/R%C3%A9unions/CR\_2022\_11.md)



Présents : 

   * Cpm
   * neox
   * echolib


Excusé : 

   * 


Pas de nouvelles : 

   * croax


**Pas excusé : **

   * 



Rappel : faire le revue de tous les sujets de la commission Infrastructure de Libre en Communs.



## Statistiques

**Machines**

   * routeurs = 3
       * leparc
       * turris (-> gisors)
       * fontainebleau (HS)
   * machines physiques = 6
       * mother
       * aunt
       * anthea (DOWN)
       * britt
       * sauvkipeu
       * gardefou
   * vm : 29
       * 24 en service nominal
   * baies : 2


**Sites**

   * Le Parc : leparc, mother, aunt, sauvkipeu, gardefou
   * Fontainebleau : fontainebleau, anthea
   * Gisors : turris, britt


**Consommation mémoire (est-ce qu'on est à l'étroit ?)**

   * mother : 50 %
   * aunt : 50 %
   * anthea : 5 %


**Charge**

   * mother : [https://isengard.libre-en-communs.org/monitoring/host/services?host=mother.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=mother.libre-en-communs.org#)!/monitoring/service/show?host=mother.libre-en-communs.org\&service=System%20load
   * aunt : [https://isengard.libre-en-communs.org/monitoring/host/services?host=aunt.libre-en-communs.org#](https://isengard.libre-en-communs.org/monitoring/host/services?host=aunt.libre-en-communs.org#)!/monitoring/service/show?host=aunt.libre-en-communs.org\&service=System%20load
       * un incident avec un service très consommateur, résolu par coupure temporaire
   * La plupart du temps, en dessous de 10%
   * observation d'un seuil de tolérance nominale à 40, au delà, impact sur la performance des services (ralentissements…)


Tickets :

   * [https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards](https://git.a-lec.org/groups/a-lec/commissions/infrastructure/-/boards)
   * non fermés : 80, [82]
       * actifs : 62, [58]
           * ouverts : 47, [42]
           * en cours:  10, [8]
           * bloqué : 5, [8]
       * rejeté: 1, [2]
       * résolus : 17, [22]


Ratio actif/inactif :  3,4.



Encouragement à faire des tickets pour toutes les actions (même un ticket rapide), cela reflète l'activité (et historise) et à les résoudre.



## Gestion de la commission

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion-de-commission/-/issues)
   * RAS


# Services techniques

## Infra générale

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale)


   * Déménagement de siège social + site La Varenne
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/49](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/49)
       * effectif par le CA


   * virtualisation/réplication disque :
       * Pas de split brain DRBD ce mois-ci


   * état des machines physiques :
       * leparc
           * RAS


       * mother
           * RAS


       * aunt
           * RAS
           * charge exceptionnelle cf L58


       * britt
           * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/39)
           * TODO documenter l'installation initiale
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91) 


           * 1 To de disque dur mécanique à étendre
               * Ajouté : disque personnel de 1,5 To
                   * Installé et pose des problèmes (secteurs défectueux)
                   * neox : une recherche des secteurs défectueux a été lancée, pas eu le temps de voir les résultats
                   * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/83](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/83)
                   * Disque prévu pour du RAID, donc pas trop problématique pour l'utiliser quand même


           * Bruit dérangeant liée à un défaut de ventilateur
                   * pour le moment, pas grave, on verra dans le futur pour acheter une alim passive
                       * prix ~160€


           * Problème de réseau
               * [https://isengard.libre-en-communs.org/monitoring/host/history?host=britt.libre-en-communs.org](https://isengard.libre-en-communs.org/monitoring/host/history?host=britt.libre-en-communs.org)
                   * passage à FDN pour essayer d'avoir une nouvelle ligne
                       * **financement approche 50 %/50 % : 29  € + 28 €**
                       * consulter le CA pour valider
                           * gloups, pas fait, à mettre dans l'ordre du jour du prochain


           * Migrer ns0 sur anthea
               * TODO neox [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/65](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/65)
               * cf #91


           * actuellement VPN FDN sur fibre OrangeTM (site britt)
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/87](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/87)
               * TODO neox


       * anthea (DOWN)   <-- pourquoi HS ? Pas que le routeur ?
           * TODO documenter l'installation initiale
               * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/91)
           * 1 To hdd, à étendre
               * ssd 128 Go à prix modique ?
                   * Crucial MX500 250 Go (garantie 5 ans) 55 € sur LDLC
                   * pour l'instant pas de budget pour ça
                   * prévision des samsung en retour de support
                       * TODO neox [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/93](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/93)


       * fontainebleau
           * panne /o\
           * Le Turris Omnia que nous avions en stock ne fonctionne pas ! Il faut le réparer
           * Possibilité d'utiliser l'ancien Linksys de LaVarenne en attendant
           * actuellement sur VPN FDN sur fibre OrangeTM
           * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/90](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/90)
           * Des tests en cours, si ça fonctionne pas, mise en place du linksys la semaine prochaine


       * sauvkipeu
           * RAM 2 Go :
               * nous visions 8 Go mais différence de barrette donc pas en stock pour l'instant
               * pas impactant pour la mission de la machine
               * à équiper à l'occasion
           * branchement du disque dur 6 To à venir
           * TODO ticket neox à mettre en supervision


       * gardefou
           * RAM 4 Go :
               * nous visions 8 Go mais différence de barrette donc pas en stock pour l'instant
               * pas impactant pour la mission de la machine
               * à équiper à l'occasion
           * disque dur à acheter quand le plan de sauvegarde B sera validé côté sauvkipeu
           * problème de connexion SSH :
               * /etc/sshd mal foutu,
               * todo ticket neox reparamétrage nominal du SSH
           * TODO ticket neox à mettre en supervision


   * Prévisions 2023 :
       * Doublons de services cœurs ?
           * service cœurs ?
           * lesquels ?
           * ok pour dns, proposition de finaliser l'infra avant d'envisager la redondance
           * pour xmpp, ça sera facile car fonctionnalité déjà prévue dans le protocole et le logiciel
       * Profiter de la fibre indépendante pour répartir les services gourmands en bande passante
           * video
           * nuage
           * visio
       * Fournir de la puissance de calcul à des universités ?
           * certes. Question politique : avons-nous à compenser les manquements de l'État ?
               * ça se discute
       * ~~Ouvrir un miroir debian ?~~
           * l'absence de compatibilité FSDG peut démotiver
       * Ouvrir un miroir de substituts GNU Guix ?
       * Ouvrir un miroir Trisquel ?
       * Ouvrir un miroir PureOS ?
       * complétude multi-site
       * sauvegardes :
           * finalisation de l'intégration des machines sauvkipeu et gardefou
           * activation plan Borg pour les sauvegardes
           * achat disque 6 To pour gardefou
           * activation sauvegarde secondaire sur britt
       * mesure consommation électrique des sites :
           * déploiement de prises-compteurs connectés
           * déploiement de logiciel de mesures en interne
       * Migration de forge


   * Consommation d'énergie La Varenne :
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/51](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/51)
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/52](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/52)
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/62](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/62)
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/72](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/72)
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/86](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/86)
       * site fermé, bilan des 505 jours : 6518 kWh => 1 096 €


   * Consommation d'énergie Le Parc
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/88](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/88)
           * Point de départ 6302 kWh à 505 jours
       * actuellement mesure manuelle
       * serait bien de trouver un matériel permettant les mesures automatiques
           * Cpm à chercher : c'est ... compliqué, croax a des solutions
               * TODO voir wiki de LibrePlanet
               * TODO demander à gnutoo
               * TASMOTA
               * [https://templates.blakadder.com/](https://templates.blakadder.com/)
               * [https://tasmota.github.io/docs/](https://tasmota.github.io/docs/)
                   * [https://templates.blakadder.com/ketotek\_KTEM06.html](https://templates.blakadder.com/ketotek\_KTEM06.html)
               * MQTT
           * croax :
               * achat nouvelle version mais composants non interopérable
               * achat d'une prise d'occasion, 10 €, ça marche mais **problème de disponibilité**
               * combien nous en faudrait-il ?
                   * 1 par sites + 1 de secours => 4 en tout
                   * 1 par site + 1 par machine + 1 secours => 6 voir plus
               * TODO croax trouver un produit stable et fiable
               * alternative de l'arduino :
                   * [http://www.the-diy-life.com/simple-arduino-home-energy-meter/](http://www.the-diy-life.com/simple-arduino-home-energy-meter/)
           * proposition de créer un projet Gitlab dédié
               * sujets : prise connecté, sonde température, webcam
               * TODO neox


   * Debian : 
       * Il se passe des choses graves, changement de contrat social (introduction de logiciel par défaut)
       * [https://www.debian.org/social\_contract.fr.html](https://www.debian.org/social\_contract.fr.html)
Version 1.2 ratified on October 1st, 2022.

   * 5. Travaux non conformes à nos standards sur les logiciels libres.
   * Nous reconnaissons que certains de nos utilisateurs demandent à pouvoir utiliser des travaux qui ne sont pas conformes aux principes du logiciel libre selon Debian. Les paquets correspondants prennent place dans des sections nommées "contrib" ("contributions") et "non-free" ("non libre"). Les paquets de ces sections ne font pas partie du système Debian, bien qu'ils aient été configurés afin d'être utilisés avec lui. Nous encourageons les fabricants de DVD à lire les licences de ces paquets afin de déterminer s'ils peuvent les distribuer. Ainsi, bien que les travaux non libres ne fassent pas partie de Debian, nous prenons en compte leur utilisation et fournissons donc l'infrastructure nécessaire (à l'image de notre système de suivi des bogues et de nos listes de diffusion). **Les médias officiels de Debian peuvent inclure des microprogrammes qui autrement ne font pas partie du système Debian pour permettre l'utilisation de Debian avec un matériel qui a besoin de ces microprogrammes.**
       * se pose la question de la mise à jour de l'infra LeC par rapport à la prochaine version de Debian
       * analyse en cours : [https://pad.chalec.org/p/lec-debian-reflexion-H7Re](https://pad.chalec.org/p/lec-debian-reflexion-H7Re)
       * le CA formule des questions et des réponses pour mars à ce sujet


   * #28 HSTS Preload pour a-lec.org et chalec.org
       * Neox :~
       * ouvrir un ticket dédié Chalec Fait neox


   * #36 Décentralisation de l'infrastructure Libre en Communs
       * planifié
       * en cours


   * #65 Déplacer ns0 de britt à anthea (Gisors vers Fontainebleau)
       * en cours


   * #73  Créer une machine virtuelle stats.a-lec.org
       * TODO neox


   * #76 Créer une vm pour la sauvegarde primaire n°1 
       * rejeté puisque pm dédiée


   * #78 Adopter un plan de nommage pour les baies
       * actuellement : pas de nom
       * [https://pad.chalec.org/p/nommages-suegaVL#L95](https://pad.chalec.org/p/nommages-suegaVL#L95)
       * décision : 
       * TODO prendre décision prochaine réunion mensuelle, ter
       * TODO mettre une étiquette sur les baies
       * TODO maj doc
       * TODO documenter le plan de nommage


   * #79 speedtest en échec
       * bloqué
   * #81 Certificat routeur expiré
       * résolu
   * #83 SMART error (OfflineUncorrectableSector) detected on host: britt
       * en cours
       * DÉSINSTALLER LE DISQUE DUR ?
           * NON, juste le calmer (supprimer les disques)
           * Il faut examiner en détail
   * #84 Méta-bogue de difficulté de participation pour les nouvelles personnes
       * plusieurs sous-tickets ouverts
   * #85 Renommer les routeurs selon leur emplacement géographique        
       * Résolu
       * ~~proposition : scinder le ticket en 3~~
           * non.
   * #86 Point consommation d'énergie La Varenne décembre 2022
       * Résolu
   * #87 Restructurer l'accès internet à Gisors
       * Todo
   * #88 Point consommation d'énergie Le Parc janvier 2023
       * résolu
   * #89 Souscription à ligne fibre pour Gisors
       * Todo
   * #90 Réparer routeur `fontainebleau`
       * En cours
   * #91 Documenter britt et anthea
       * En cours
   * #92 VPN de secours anthea HS (coupée du réseau)
       * Todo
   * #93 Diagnostiquer et envoyer les disques Samsung pour réparation 
       * En cours
   * #94 Coupure réseau sur le site leparc
       * résolu
   * #97 Coupure réseau sur le site leparc
       * Résolu
   * #98 Coupure réseau site leparc (épisode 2)
       * Résolu
   * #99 Coupure réseau site leparc 
       * Résolu
   * #100 Changer les RDNS des routeurs
       * TODO
   * #101 Point consommation d'énergie Le Parc février 2023
       * Todo


   * comment accéder à la doc Git si le SI est hors service ?
       * TODO faire un miroir sur une autre forge
       * TODO faire script pour détecter les projets GitlabCE non mirrorés
       * proposition :
           * todo neox créer 2 tickets


   * authentification forte :
       * pousser l'adoption de l'A2F aux membres de l'équipe ?
           * neox +1
       * solution de clé :
           * Solokey : [https://solokeys.com/](https://solokeys.com/)
               * neox en achète une perso
               * cpm en utilise déjà une sur l'infra a-lec (coffre, git…)
               * prendre absolument la version usb-c
           * Nitrokey : [https://www.nitrokey.com/fr](https://www.nitrokey.com/fr)
               * pas de usb-c disponible
               * du flou dans la spéc open-hardware
           * ~~YubiKey~~ : pas libre /o\
       * bonne pratique => 2 clés ?
       * À étudier
           * commande groupée ?
               * neox : 2
               * croax : 2
               * cpm : 2
               * echolib: 1


   * question :
       * cartes ethernet dédiées au lien mother/aunt
           * pourquoi dual port ?
               * parceque Internet via routeur
               * parceque DRBD
           * les deux sont branchés ?
               * oui
           * pourquoi ce modèle précisément ?
               * PARCEQUE C'EST LE SEUUUUULLL LIBBBBREEEEEE (supportant des pilotes libres)
           * pourquoi 10 GB ?
               * parceque DRBD
           * 1 port 1 GB n'aurait pas suffit et moins cher ?
               * DRBD a pour facteur limitant la bande passante
       * [https://forum.chatons.org/t/8-baies-46u-a-recuperer-sur-paris/4540/2](https://forum.chatons.org/t/8-baies-46u-a-recuperer-sur-paris/4540/2)
           * 8 baies Minkels 46 U vides (4 à Equinix PA2 et 4 à Equinix PA4) à récupérer courant février
           * on met une option sur combien ?
               * 2, FAIT


## Coffre

   * Mise-à-jour
       * RAS


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/service-coffre/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/service-coffre/-/issues)
       * RAS


## coreboot

   * l'infra tourne sous coreboot 4.6 et Dasharo 4.11
   * Installation de Libreboot (build de Dasharo) effectuée sur mother
       * Échec pour aunt.  À enquêter
       * TODO neox créer ticket
       * TODO neox


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/coreboot/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/coreboot/-/issues)
       * RAS
   * Libreboot n'est plus libre et la KGPE-D16 n'est plus supportée donc en attendant une prochaine release, on construit Coreboot 4.6 avec les méthodes de l'ancien Libreboot
   * TODO demander 100 k€ de subvention européenne pour faire avance ce projet
       * En cours : [https://www.a-lec.org/projets-commissions/asus-coreboot/](https://www.a-lec.org/projets-commissions/asus-coreboot/)
           * phase 2, réponses à des questions
       * Pas de 100 k€ disponible, mais 50 k€ c'est déjà bien pour commencer
   * Sortie prochaine de Genuine Libreboot, soutenu par la FSF
       * ARF.


## DNS

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/dns](https://git.a-lec.org/a-lec/commissions/infrastructure/dns)


   * #1 [DNS] Enregistrement TLSA en zone du DNS pour se décentraliser de Let's Encrypt
       * planifié+bloqué
       * todo neox


   *  #5 Ajouter un enregistrement CAA
       * bloqué 


   * #8 DANE/TLSA mail 


   * #9 Adopter un plan de nommage pour les serveurs dns
       * [https://pad.chalec.org/p/nommages-suegaVL#L74](https://pad.chalec.org/p/nommages-suegaVL#L74)
       * décision : format coutumier, ns+chiffre en commençant par zéro
       * résolu + fermé
       * TODO renommer les serveurs
       * TODO maj doc
       * TODO documenter le plan de nommage
       * gestion de la documentation :
           * Où stocker la documentation ? 
               * projet Documentation, sous-dossiers « Services DNS » ?
               * projet Service DNS, à la racine ?
                   * [https://git.a-lec.org/a-lec/commissions/infrastructure/dns](https://git.a-lec.org/a-lec/commissions/infrastructure/dns)
                   * Contient les zones DNS
           * Déplacer les fichiers de conf dns dans un sous-dossier ?
               * neox: oui d'accord.
               * TODO neox créer ticket + faire


## Forge / git.a-lec.org

   * neox :
       * Mettre à jour en 15.7.0
           * Fait neox


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/git/-/issues)
   * #8 Problème visuel sur la forge
       * Todo
   * #13 Réglage pour ne pas oublier de mettre une license.
       * Todo
   * #14 meta-bug pour repositories sans licenses
       * Planifié neox
   * #15 Gitlab CE affiche de la publicité pour du logiciel privateur
       * Résolu
   *  #16 Mettre à jour en 15.7.0
       * résolu
   * #17 Mettre à jour en 15.7.1
       * todo neox
   * #18  Mettre à jour en 15.7.2
       * todo neox


   * questions :
       * proposition de renommer le projet Gitlab « Service GIT » en « Service Forge »
           * GIT parceque git.a-lec.org... et pas forge.a-lec.org.
           * à réfléchir
       * ~~Suite à de la publicité affichée sur la page d'accueil~~, de plus en plus de questions sont soulevées
           * CHANGER DE FORGE
               * Décidé par le CA le 29 janvier 2023
               * On va profiter de la migration pour changer le nom (et migrer plus facilement)
               * brouillon de chantier de migration :
                   * [https://pad.chalec.org/p/cominfra-migrationforge-FLGEaw](https://pad.chalec.org/p/cominfra-migrationforge-FLGEaw)
               * Todo neox ticket migration forge


## Forge / Sid bot XMPP

   * Neox en action
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot](https://git.a-lec.org/a-lec/commissions/infrastructure/sid-xmpp-bot)
   * sera déployé un jour
   * tickets : RAS


## Mail

   * équipe : croax
   * événements : 
       * RAS
   * statut :
       * VM
           * Disques (50G): 9.9, 11 (24%)
           * RAM : 0.392/2GB
       * Nombre total de boites membre : 44; 48
       * Redirections : 16; 19
       * Espace disque des boites : 
           * Total : 2.9, 3.3, 3.4, 3.5, 3.8, 3.1, 3.2, 3.4G
           * Quasi totalité < 100Mo
       * Liste Tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/mail/-/issues)
           * Résolus Ouverts : 7
           * Rejeté : 0
           * Non résolus : 4
   * Rejeté : 
       * 

   * Résolu 


   * En cours
       * 

   * À faire
       * 33    Roundcube : Impossible de changer le mot de passe    
       * 74   Automatiser l'inscription de nouveaux membres    
       * 85   Quota    
       * 124   Améliorer le courriel de bienvenue
       * 125 Mesurer le nombre de courriels entrants et sortants par mois


Questions :

   * pourquoi ticket quota ?
       * pour gérer un cas d'abus (spam ou autre)
   * mesurer le nombre de courriels entrants et sortants par mois
       * TODO Cpm créer ticket FAIT #125
   * wrapper ou non ?
       * NON
       * TODO croax ticket


## Sauvegardes

   * nous avons :
       * backup quotidien (avec historique de 3 jours)
       * backup hebdomadaire (avec historique de deux semaines)
       * backup mensuel (avec historique de deux mois)


   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues)


   * #2 Sauvegardes – Dump automatique des bases de données sur les vm
       * ex [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/25)
           * planifié
       * dump auto vs  Borgmatic ?
           *  des avantages et des inconvénients pour les deux
           * préférence pour Borgmatic
               * => ce ticket deviendrait rejeté
               * => doc blindée
               * => nouveau ticket pour accompagnement des animsys à la config de Borgmatic


   * #4 Créer une ou des sondes de vérification des sauvegardes
       * il faut ajouter des sondes
       * todo


   * #8 Choisir une solution alternative de sauvegarde
       * TODO
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues/8](https://git.a-lec.org/a-lec/commissions/infrastructure/sauvegardes/-/issues/8)
       * tentative d'analyse comparative :
           * [https://pad.chalec.org/p/analyse\_comparative\_sauvegarde\_bmPrhUnq](https://pad.chalec.org/p/analyse\_comparative\_sauvegarde\_bmPrhUnq)
           * une future architecture de sauvegarde prend forme, avec des étapes
               * **validation du choix de Borgmatic**
           * ~~TODO faire la doc de l'archi~~
           * ~~Déploiement (presque) terminé~~
           * ticket mettable à résolu ? voir #
               * oui, FAIT


   * #10 Sauvegarder la configuration du routeur
       * TODO


   * #12 Intégrer la machine de sauvegarde sauvkipeu 
       * machine flashée, insérée en baie, debianisée
       * Résolu
   * #13 Intégrer la machine de sauvegarde gardefou
       * en cours
       * machine flashée, insérée en baie, debianisée, pas fonctionnelle/nominale
   * #16 L'espace de sauvegarde est plein
       * résolu
   * #17  Passer sauvkipeu de 2 Go à 8 Go de RAM
       * planifié neox : pb de compatiblité de barrette
       * bloqué
   * #18 Passer gardefou de 4 Go à 8 Go de RAM
       * bloqué
   * #19  Migrer le disque de sauvegarde de mother vers sauvkipeu
       * en attente que le déploiement du plan B sur sauvkipeu fonctionne bien
   * #20  Double sshfs dans la sauvegarde du 18/01/2023
       * résolu
   * #21 Pas de fallocate le 19/01/2023
       * résolu
   * #22 Déployer le plan de sauvegarde Borg
       * en cours
       * bien avancé sur sauvkipeu :
           * 20 machines sauvegardées
           * [https://ctrlv.chalec.org/?db6d6068b02fbd70#6wDfpz97QBD64z72ZSELfgpxNhc4LpEBzFBSRBoWGmaJ](https://ctrlv.chalec.org/?db6d6068b02fbd70#6wDfpz97QBD64z72ZSELfgpxNhc4LpEBzFBSRBoWGmaJ)
       * RAF :
           * accès multi-site vers sauvkipeu et gardefou
               * on fait sauter le proxy jump car accès restreint sur user dédié
           * accès multi-site depuis sauvkipeu et gardefou /!\ IMPOSSIBLE /!\
               * solution : faire sauter le proxyjump en ipv6
                   * accès direct à la machine en ssh
                   * créer un compte dédié avec accès ssh restreint
           * cas des routeurs : cron d'export de la conf ? rsync ?
               * TODO créer ticket installer rsync
               * TODO faire cron export conf
           * hook pour les exports de bd
           * déployer sur gardefou
       * travailler la restauration système
           * TODO Créer ticket
   * #23  Incident de sauvegarde du 01/02/2023 
       * résolu
   * questions :
       * commencer à arrêter la sauvegarde virt-backup de plusieurs vm ?
           * oui, à voir TODO créer ticket


## Supervision

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/isengard](https://git.a-lec.org/a-lec/commissions/infrastructure/isengard)
   * neox : plein d'infos, maintenant des tests à faire
   * #6 Créer une procédure pour ajouter une sonde locale à une vm
       * TODO neox quand ça marchera
   * #8 Étudier le déploiement de sondes à l'extérieur du SI
       * Statut : AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAH
       * Experimentations en cours
   * #9 Configurer correctement l'ajout de sondes locales sur les machines virtuelles
       * oui mais marche pas, todo  neox
       * des essais avec www.chalec.org : marche toujours pas
       * Des nouvelles, il faut s'y remettre \o/
       * Statut : AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAH
   * #11 Documenter l'installation
       * à faire


Questions :

   * données stockées dans grafana ?
       * ça commence à grossir, TODO voir purge
           * TODO créer ticket
   * Trop de notifications de WARNINGs pas graves sur XMPP
       * Il faut remonter uniquement des CRITICALs !
       * TODO neox




# Services généraux

## Audio.a-lec.org

   * équipe : Cpm
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/audio](https://git.a-lec.org/a-lec/commissions/infrastructure/audio)
   * tickets :
       * RAS
   * questions :
       * RAS


## Gestion (membre et comptabilité)

   * équipe : neox
   * [https://gestion.a-lec.org/](https://gestion.a-lec.org/)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/gestion/-/issues)
   * documentation d'installation ?
       * todo neox
   * Mises-à-jour :
       * RAS


   * #7  Export PDF
       * résolu
   * #9 Cotisations : ne pas envoyer le reçu si courriel invalide
   * #11 Echec du script de cotisations
       * résolu
   * #13 Mise à jour de Garradin vers la version 1.2.3
       * résolu
   * #14 Conformité des courriels au standard MIME
       * Todo


   * Remarques/questions
       * garradin va changer de nom (snif)


## toot.a-lec.org

   * équipe : echolib + neox
   * instance Mastodon
   * gros pics de consommation pas expliqués
   * volonté de passer à Pleroma ++
       * TODO migrer vers Pleroma
   * ~~3 comptes~~  1 seul :
       * **a-lec**
           * comcom responsable
           * suppression ok
   * des messages envoyés
   * plusieurs fois cités
   * doc d'install spécifique a-lec ?
       * cela vaut-il le coup si migration à Pleroma ? NOOOOOOON.
   * évaluer Friendica
       * rejeté


   * Souci de suppression depuis le compte admin des comptes inutiles. On tombe sur une page error.
       * Il doit être possible  pour un utilisateur de supprimer son compte (option cochée)
       * Pour l'instant, garder le compte echolib (pour d'éventuels tests)
   * Modification de la description de l'instance
   * Toujours en projet la migration vers Pleroma. (établir avec neox un créneau pour faire une image disque avant)
       * cpm : alerte venant de Chalec
   * Serveur debian régulièrement mis à jour, et caché purgé
   * TODO trouver une solution pour maj Mastodon en attendant la viabilité de Pleroma


   * #5 Nettoyer les comptes
       * notamment le compte croax
   * #6 Impossible de trouver le compte @a\_lec        
   * #7 Supprimer l'écriture point médian        
   * #8 Ré-écrire les règles du serveur        
   * #9 Ré-écrire la description de l'instance


## www.a-lec.org

   * équipe : echolib + neox
   * migration vers la nouvelle version de STL
       * FAIT
   * #8 AJout d'un bouton vers le compte fédivers en pied de page
       * nouveau todo
   * #10 revoir la structure du site
       * en cours, ça avance
   * #11 Améliorer la page "Projets et Commissions"
       * rédactionnel
   * #12  Améliorer la page "Contact"
       * rédactionnel
   * #13 page d'accueil : contenu
       * 7 demandes en un ticket => demander de scinder
   * #14 page d'accueil : menu
   * #15 page d'accueil : liens
   * #18 Écrire une page expliquant comment se connecter à XMPP


   * questions/remarques :
       * 



## www.a-lec.org / Template STL pour www.a-lec.org

   * équipe : neox 
   * CSS ok (mais évolution)
   * todo echolib un readme pour le repo GSL de l'infra pour expliquer ce que c'est
       * Fait echolib
   * todo echolib gérer les allers-retour de wip à www et inversement
       * Fait echolib
   * source : [https://git.a-lec.org/echolib/gsl](https://git.a-lec.org/echolib/gsl)
   * tickets : [https://git.a-lec.org/a-lec/commissions/infrastructure/template-gsl/-/issues](https://git.a-lec.org/a-lec/commissions/infrastructure/template-gsl/-/issues)
   * #2 Utiliser la fonte Luciole 
       * Ça a l'air plutôt agréable
       * echolib valide
       * TODO Cpm lien vers fichiers web  FAIT  (voir ticket)
       * TODO intégrer !!!!!!!!
   * CC BY-SA (et non pas CC-BY-SA) 




## echolib's Tyto (dépôt en attente)

Changement de nom : GSL -> STL->Tyto.



On salue le travail réalisé par echolib pour la gestion arborescente, qui est vraiment capitale pour notre activité. Bravo et merci !



En cours de développement entièrement en Python de Tyto. Voir l salon XMPP pour les évolutions. Avancement : difficile à quantifer, vue la charge de travail, mais ça avance. J'aurai très certainement besoin d'aide pour le module wip des listes mixées ul/ol. Dépôt créé, mais pas encor "rempli" : [https://git.a-lec.org/echolib/tyto-litterateur](https://git.a-lec.org/echolib/tyto-litterateur)

(PS: Vraiment de plus en plus de soucis avec mon clavier qui me ralentissent...)



## xmpp.a-lec.org

   * équipe : Neox 
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp](https://git.a-lec.org/a-lec/commissions/infrastructure/xmpp)
   * ça tourne tranquillement
   * **Rapport d'activité novembre 2023**
       * Nombre de domaines couverts: 1
       * Nombre de comptes (tous domaines confondus): 28
           * actifs: 18, 17, 17, 15, 14
           * inactifs: 10, 9, 8, 8, 9
           * suppressibles : 0
       * 

       * Un compte inactif est un compte ne s'étant pas connecté durant le mois écoulé.
       * Un compte suppressible n'a jamais lu le message de bienvenue et ne s'est pas connecté durant les six derniers mois.


       * Occupation d'espace disque des archives de messages (MAM): 343Mo, 291Mio, 255Mio, 236Mio, 216Mio, 190 Mio
       * Salons XMPP actifs: 33, 31, 29, 25, 28 ~~25~~


       * Occupation d'espace disque téléversement de fichiers: 3.9Gio, 3Gio, 2.9Gio, 2.6Gio, 1,9Gio
           * maximum: 1.9Gio, 1.8Gio, 1.3Gio, 919Mio
           * minimum: 144Kio, 17Mio, 16Mio, 15Mio, 1,1Mio
           * moyenne: 322Mio, 330Mio, 278Mio, 263Mio, 241Mio, 171Mio


       * Nombre d'appels audio/vidéo transmis: 35, 46, 32, 52, 41, 81
           * Quantité de données relayée (UDP): moyenne 39.28 MiB, max 1260 MiB, total 1375 MiB


   * déclaration auprès d'observers
       * todo neox
   * #4 Faciliter la traversée réseau
   * #7  Création d'un compte XMPP membre n°46
       * résolu
   * #8 Création d'un compte XMPP membre n°49
       * résolu
   * #9 Documentation installation + maj
       * Todo neox
   * #10 Ejabberd ne prend pas en compte le nouveau certificat
   * #11 impossible d'uploader une image depuis le client mov.im 


Questions :

   *  RAS


# Services aux projets externes

Note :  ces services doivent soutenir des projets externes qui rencontrent nos buts et à but non lucratifs.



[https://git.a-lec.org/services-aux-projets-externes](https://git.a-lec.org/services-aux-projets-externes)



Questions :

   * Odile demande l'hébergement de pages web d'un sous-domaine à elle pour des articles sur les Communs
       * sur le principe : OUI
       * compatible avec la contrainte intérêt général : OUI (car sur les communs)
       * où + comment + qui ?
           * nouvelle vm :
               * nom ?
           * déléguer la gestion de la vm à OdileB
       * En attente de la demande explicite par ticket ou courriel
       * relancer Odile en septembre
           * dès que possible
           * !!!
           * Décision d'attendre la prochaine réunion
       * créer un projet spécifique sur l'hébergement de fichiers statiques
           * nommage : web.a-lec.org vs ~~cdn.a-lec.org~~
       * TODO créer groupe dans Services aux projets externes + logo + description
           * TODO neox


## Zones DNS pour projets externes

   * équipe : neox
   * [https://git.a-lec.org/services-aux-projets-externes/zone-dns](https://git.a-lec.org/services-aux-projets-externes/zone-dns)
   * tickets : [https://git.a-lec.org/groups/services-aux-projets-externes/zone-dns/-/issues](https://git.a-lec.org/groups/services-aux-projets-externes/zone-dns/-/issues)
       * todo neox continuer l'automatisation
       * en cours
       * Pas avancé
   * questions :
       * description de groupe : présenter qui fait quoi pour qui pour quoi ? FAIT neox
       * TODO neox ajouter logo au groupe


# Divers

Des projets divers, où les ranger ?

   * [https://git.a-lec.org/a-lec/commissions/infrastructure/captchas](https://git.a-lec.org/a-lec/commissions/infrastructure/captchas)
       * Là où il est
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/adhesion.a-lec.org](https://git.a-lec.org/a-lec/commissions/infrastructure/adhesion.a-lec.org)
   * [https://git.a-lec.org/a-lec/commissions/infrastructure/don.a-lec.org](https://git.a-lec.org/a-lec/commissions/infrastructure/don.a-lec.org)
       * Réfléchir sur la création d'un groupe GESTION ?
       * Avoir un nom commençant par "GESTION -" ?


Déployer StatoolInfos ?

   * Déploiement sur une vm stats
       * TODO neox !!!!
       * [https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/73](https://git.a-lec.org/a-lec/commissions/infrastructure/infra-generale/-/issues/73)
   * services visés : www, audio, xmpp, git, toot


# Épilogue

## Vacances/indisponibilités

   * RAS


## Prochaine réunion

Date prochaine réunion :

   * lundi 27 février : 
       * pour : neox, cpm
   * mardi 28 février :
       * pour : 
   * autre ?


Horaire de début :

   * 20h30
       * pour : neox, neox
   * autre ?


Horaire de fin :

   * 23h00
       * pour : neox
   * autre ?


Fin de la réunion : 00h37














